(function ($) {
    "use strict";
    $(window).on('elementor/frontend/init', () => {
        elementorFrontend.hooks.addAction('frontend/element_ready/rentex_listing_posts.default', ($scope) => {
            let $carousel = $('.rentex-carousel', $scope);
            if ($carousel.length > 0) {
                let datadots = $carousel.data('dots'),
                    dataloop = $carousel.data('loop'),
                    datanav = $carousel.data('nav'),
                    datadesktop = $carousel.data('desktop'),
                    datatablet = $carousel.data('tablet'),
                    datamobile = $carousel.data('mobile');
                $carousel.slick(
                    {
                        dots: datadots,
                        arrows: datanav,
                        infinite: dataloop,
                        speed: 300,
                        slidesToShow: parseInt(datadesktop),
                        autoplay: false,
                        autoplaySpeed: 5000,
                        slidesToScroll: 1,
                        lazyLoad: 'ondemand',
                        responsive: [
                            {
                                breakpoint: 1024,
                                settings: {
                                    slidesToShow: parseInt(datatablet),
                                }
                            },
                            {
                                breakpoint: 768,
                                settings: {
                                    slidesToShow: parseInt(datamobile),
                                }
                            }
                        ]
                    }
                ).on('setPosition', function (event, slick) {
                    slick.$slides.css('height', slick.$slideTrack.height() + 'px');
                });
            }
        });
    });

})(jQuery);
