(function ($) {
    'use strict';

    function _makeStickyKit() {

        var top_sticky = 30,
            $adminBar = $('#wpadminbar'),
            $headerSticky = $('.header-sticky');

        if ($adminBar.length > 0) {
            top_sticky += $adminBar.height();
        }
        if ($headerSticky.length > 0) {
            top_sticky += $headerSticky.outerHeight();
        }

        let window_width = $(window).width();

        if (window_width < 1024) {
            $('.sticky-sidebar, div[data-sticky="true"] .inner').trigger("sticky_kit:detach");
        } else {
            $('.sticky-sidebar, div[data-sticky="true"] .inner').stick_in_parent({
                offset_top: top_sticky
            });
        }
    }

    $(document).ready(() => {
        _makeStickyKit();
        $(window).resize(() => {
            _makeStickyKit();
        });
    });

})(jQuery);
