"use strict";
(function ($) {

    $(document).ready(function (event) {
        var listing_carousel = $('.js-listing-carousel');
        if (listing_carousel.length > 0) {
            $(listing_carousel).each(function () {
                var datadots = $(this).data('dots'),
                    dataloop = $(this).data('loop'),
                    datanav = $(this).data('nav'),
                    datadesktop = $(this).data('desktop'),
                    datatablet = $(this).data('tablet'),
                    datatablet_mini = $(this).data('tablet-mini'),
                    datamobile = $(this).data('mobile'),
                    datamobile_mini = $(this).data('mobile-mini');
                $(this).slick(
                    {
                        dots: datadots,
                        arrows: datanav,
                        infinite: dataloop,
                        speed: 300,
                        slidesToShow: parseInt(datadesktop),
                        autoplay: true,
                        autoplaySpeed: 5000,
                        slidesToScroll: 1,
                        lazyLoad: 'ondemand',
                        responsive: [
                            {
                                breakpoint: 1024,
                                settings: {
                                    slidesToShow: parseInt(datatablet),
                                }
                            },
                            {
                                breakpoint: 992,
                                settings: {
                                    slidesToShow: parseInt(datatablet_mini),
                                }
                            },
                            {
                                breakpoint: 768,
                                settings: {
                                    slidesToShow: parseInt(datamobile),
                                }
                            },
                            {
                                breakpoint: 576,
                                settings: {
                                    slidesToShow: parseInt(datamobile_mini),
                                }
                            }
                        ]
                    }
                );
            });

        }
    });
})(jQuery);
