Vue.component('stm-file-dragdrop', {
	data: function () {
		return {
		}
	},
	mounted: function () {
		this.setMain();
	},
	methods:{
		checkfeature: function(attr, index, file) {

			if(this.feature_image == null || attr != this.feature_image.attr)
				return false;

			if(this.feature_image.id){
				return file.id == this.feature_image.index
			}else{
				return index == this.feature_image.index
			}
		},
		selectfeature: function(name ,index, file){
			var is_id = false;
			if(file.id){
				index = file.id;
				is_id = true;
			}
			this.$emit('set-feature-image', {attr:name, index:index, id:is_id});
		},
		end: function() {
			this.setMain();
		},
		setMain: function() {
			if(this.files.length) {
				this.main = this.files[0];
				this.updateValue();
			}
		},
		updateValue: function () {
			this.$emit('stm-file-dragdrop-update', this.files)
		},
		onDrop: function(e) {
			e.stopPropagation();
			e.preventDefault();
			console.log('xin chao');
			this.addFile(e.dataTransfer.files);
		},
		onDrag: function(e){
			e.stopPropagation();
			e.preventDefault();
			this.isDrag = true;
		},
		onDragLeave: function(e){
			e.stopPropagation();
			e.preventDefault();
			this.isDrag = false;
		},
		onChange(e) {
			this.addFile(e.target.files);
		},
		addFile:function(files){
			var vm = this;
			if(!window.FileReader){
				alert('The File APIs are not fully supported in this browser.');
				return;
			}
			Array.prototype.forEach.call(files, function(file) {
				if(file.type && file.type.match('image.*')) {
					var reader = new FileReader();
					reader.onload = function(e) {
						vm.files.push({
							data:reader.result,
							file:file
						});
						vm.setMain();
					}
					reader.readAsDataURL(file);
				}
			});

			this.updateValue();
		},
		remove(index) {
			this.files.splice(index, 1);
		}
	},
	props: {
		isDrag: false,
		feature_image: {
			default: {}
		},
		files: {
			default: []
		},
		main:{
			default:{data:null}
		}
	}
});
