"use strict";
(function ($) {
    $(document).ready(function () {
        if ($(".ulisting_single_gallery").length) {
            var currentImage = 0;
            var _height = 0;
            var $thumbnail = $('#ulisting-single-gallery-thumbnail');
            var $gallery = $('#ulisting-single-gallery-thumbnail-preview .inner').slick({
                infinite: true,
                slidesToShow: 3,
                centerMode: true,
                variableWidth: true,
                slidesToScroll: 1,
                rtl: $('body').hasClass('rtl'),
                arrows: true,
                adaptiveHeight: true
            });

            // Initializes and opens PhotoSwipe
            var pswpElement = document.querySelectorAll('.pswp')[0];
            var items = $gallery.data('popup-json');
            $('.gallery-view-full').on('click', function (event) {
                event.preventDefault();
                var gallery = new PhotoSwipe(pswpElement, PhotoSwipeUI_Default, items, {
                    history: false,
                    focus: false,
                    index: currentImage
                });
                gallery.init();
            });
        }

        // TabGallery
        var $tabs = $('.ulisting_tab_gallery');
        var $tabContainer = $('.ulisting_tab_gallery_content');
        $tabs.on('click', 'li', function (event) {
            event.preventDefault();
            if (_height === 0) {
                _height = $tabContainer.height();
            }
            $tabs.find('li').removeClass('active');
            var $this = $(this);
            $this.addClass('active');

            var className = $this.find('a').data('action');
            $('.tab-content', $tabContainer).removeClass('active');
            if (className === 'gallery') {
                $('.tab-content.gallery', $tabContainer).addClass('active');
                // $gallery.slick('reInit');
            } else {

                $('.tab-content.map', $tabContainer).addClass('active');
                if ($(".gallery-data-location").length) {
                    initMap($('.gallery-data-location', $tabContainer), className, _height);
                }
            }
        })
    });


    function initMap($container, className, height) {
        $container.css('height', height);
        var lat = $container.attr('data-lat');
        var lng = $container.attr('data-lng');
        var icon = $container.attr('data-icon');

        var mapOptions = {
            center: new google.maps.LatLng(lat, lng),
            zoom: 12,
            styles: $container.data('color')
        };

        var map = new google.maps.Map($container.get(0), mapOptions);
        if (className === 'map') {
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(lat, lng),
                map: map,
                icon: {
                    url: icon,
                    scaledSize: {
                        height: 40,
                        width: 40
                    }
                }
            });
            marker.setMap(map);
        } else {
            var panoramaOptions = {
                position: new google.maps.LatLng(lat, lng),
                pov: {
                    heading: 34,
                    pitch: 10,
                    zoom: 1
                }
            };
            var panorama = new google.maps.StreetViewPanorama($container.get(0), panoramaOptions);
            map.setStreetView(panorama);
        }
    }

})(jQuery);
