(function ($) {
    'use strict';

    function set_height() {
        var height = 0,
            $adminBar = $('#wpadminbar'),
            $headerSticky = $('.header-sticky'),
            $map = $('.ulisting-listing-map-custom');

        if ($adminBar.length > 0) {
            height += $adminBar.height();
        }

        if ($headerSticky.length > 0) {
            height += $headerSticky.height();
        }
        if ($map.length && $map.hasClass('full-height')) {
            if (window.innerWidth < 993) {
                $map.css({
                    height: ''
                });
            } else {
                $map.css({
                    height: 'calc(100vh - ' + height + 'px)'
                });
            }
        }

    }

    function _makeStickyKit() {
        var top_sticky = 0,
            $adminBar = $('#wpadminbar'),
            $headerSticky = $('.header-sticky');

        if ($adminBar.length > 0) {
            top_sticky += $adminBar.height();
        }
        if ($headerSticky.length > 0) {
            top_sticky += $headerSticky.outerHeight();
        }

        if (window.innerWidth < 992) {
            $('.sticky-layout > div').trigger("sticky_kit:detach");
        } else {

            $('.sticky-layout > div').stick_in_parent({
                offset_top: top_sticky
            });
        }
    }

    $(document).ready(function (event) {
        _makeStickyKit();
        set_height();
        $(window).resize(() => {
            setTimeout(function () {
                set_height();
                _makeStickyKit();
            }, 100)
        });
    });
})(jQuery);
