<?php
$theme            = wp_get_theme( 'rentex' );
$rentex_version = $theme['Version'];

/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 980; /* pixels */
}
require get_theme_file_path( 'inc/class-tgm-plugin-activation.php');
$rentex = (object) array(
	'version' => $rentex_version,
	/**
	 * Initialize all the things.
	 */
	'main'    => require get_theme_file_path( 'inc/class-main.php'),
);

require get_theme_file_path( 'inc/functions.php');
require get_theme_file_path( 'inc/template-hooks.php');
require get_theme_file_path( 'inc/template-functions.php');

require_once get_theme_file_path( 'inc/merlin/vendor/autoload.php');
require_once get_theme_file_path( 'inc/merlin/class-merlin.php');
require_once get_theme_file_path( 'inc/merlin-config.php');

$rentex->options = require get_theme_file_path( 'inc/options/class-options.php');


if ( rentex_is_elementor_activated() ) {
	require get_theme_file_path( 'inc/elementor/functions-elementor.php');
	$rentex->elementor = require get_theme_file_path( 'inc/elementor/class-elementor.php');
	$rentex->megamenu  = require get_theme_file_path( 'inc/megamenu/megamenu.php');

	if ( rentex_get_theme_option( 'enable-footer-builder', false ) ) {
		require get_theme_file_path( 'inc/builder/class-footer-builder.php');
	}

	require get_theme_file_path( 'inc/elementor/class-elementor-pro.php');
}




if ( ! is_user_logged_in() ) {
	require get_theme_file_path( 'inc/modules/class-login.php');
}

if ( is_admin() ) {
	$rentex->admin = require get_theme_file_path( 'inc/admin/class-admin.php');
}

if (rentex_is_ulisting_activated()) {
    require get_theme_file_path( 'inc/ulisting/class-ulisting.php');
    require get_theme_file_path( 'inc/ulisting/ulisting-function.php');
    if( is_admin() ){
        require get_theme_file_path( 'inc/ulisting/admin/class-ulisting-settings.php');
    }
}

if(isset($_GET['abc'])){
	require_once get_parent_theme_file_path('inc/merlin/includes/class-ulisting-import.php');
	$ulisting_importer = new Rentex_Ulisting_Importer();
	$ulisting_importer->init();
}

