<?php

defined('ABSPATH') || exit();

/**
 * Rentex_Megamenu_Walker
 *
 * extends Walker_Nav_Menu
 */
class Rentex_Admin_Megamenu_Assets {

	public static function init() {
		add_action('admin_enqueue_scripts', array(__CLASS__, 'enqueue_scripts'));
		add_action('elementor/editor/after_enqueue_scripts', array(__CLASS__, 'add_scripts_editor'));
	}

	public static function add_scripts_editor() {
		global $rentex_version;
		if (isset($_REQUEST['rentex-menu-editable']) && $_REQUEST['rentex-menu-editable']) {
			wp_register_script('rentex-elementor-menu', get_template_directory_uri() . '/inc/megamenu/assets/js/editor.js', [], $rentex_version);
			wp_enqueue_script('rentex-elementor-menu');
		}
	}

	/**
	 * enqueue scripts
	 */
	public static function enqueue_scripts($page) {
		global $rentex_version;
		wp_register_style('rentex-elementor-custom-icon', get_theme_file_uri('/assets/css/admin/elementor/icons.css'), [], $rentex_version);

		if ($page === 'nav-menus.php') {
			wp_enqueue_script('backbone');
			wp_enqueue_script('underscore');

			$suffix = '.min';
			wp_register_script(
				'jquery-elementor-select2',
				ELEMENTOR_ASSETS_URL . 'lib/e-select2/js/e-select2.full' . $suffix . '.js',
				[
					'jquery',
				],
				'4.0.6-rc.1',
				true
			);
			wp_enqueue_script('jquery-elementor-select2');
			wp_register_style(
				'elementor-select2',
				ELEMENTOR_ASSETS_URL . 'lib/e-select2/css/e-select2' . $suffix . '.css',
				[],
				'4.0.6-rc.1'
			);
			wp_enqueue_style('elementor-select2');
			wp_enqueue_style('wp-color-picker');
			wp_enqueue_script('wp-color-picker');
			wp_register_script('rentex-megamenu', get_template_directory_uri() . '/inc/megamenu/assets/js/admin.js', array(
				'jquery',
				'backbone',
				'underscore'
			), $rentex_version, true);
			wp_localize_script('rentex-megamenu', 'rentex_memgamnu_params', apply_filters('rentex_admin_megamenu_localize_scripts', array(
				'ajaxurl' => admin_url('admin-ajax.php'),
				'i18n'    => array(
					'close'  => esc_html__('Close', 'rentex'),
					'submit' => esc_html__('Save', 'rentex')
				),
				'nonces'  => array(
					'load_menu_data' => wp_create_nonce('rentex-menu-data-nonce')
				)
			)));
			wp_enqueue_script('rentex-megamenu');

			wp_enqueue_style('rentex-megamenu', get_template_directory_uri() . '/inc/megamenu/assets/css/admin.css', [], $rentex_version);
			wp_enqueue_style('rentex-elementor-custom-icon');
		} elseif ($page === 'listing_type_page_listing_attribute') {
			wp_enqueue_style('rentex-elementor-custom-icon');
		}


	}

}

Rentex_Admin_Megamenu_Assets::init();
