<?php
/*Rentex Listing Settings*/

if (!defined('ABSPATH')) {
	exit;
}

$rentext_contact_args         = array(
    'post_type'   => 'wpcf7_contact_form',
    'post_status' => 'publish',
    'numberposts' => -1,
);
$rentex_contact_post = get_posts($rentext_contact_args);

$rentex_yelp_categories = [
    'active'             => esc_html__('Active Life', 'rentex'),
    'arts'               => esc_html__('Arts & Entertainment', 'rentex'),
    'auto'               => esc_html__('Automotive', 'rentex'),
    'beautysvc'          => esc_html__('Beauty & Spas', 'rentex'),
    'bicycles'           => esc_html__('Bicycles', 'rentex'),
    'education'          => esc_html__('Education', 'rentex'),
    'eventservices'      => esc_html__('Event Planning & Services', 'rentex'),
    'financialservices'  => esc_html__('Financial Services', 'rentex'),
    'food'               => esc_html__('Food', 'rentex'),
    'health'             => esc_html__('Health & Medical', 'rentex'),
    'homeservices'       => esc_html__('Home Services', 'rentex'),
    'hotelstravel'       => esc_html__('Hotels & Travel', 'rentex'),
    'localflavor'        => esc_html__('Local Flavor', 'rentex'),
    'localservices'      => esc_html__('Local Services', 'rentex'),
    'massmedia'          => esc_html__('Mass Media', 'rentex'),
    'nightlife'          => esc_html__('Nightlife', 'rentex'),
    'pets'               => esc_html__('Pets', 'rentex'),
    'professional'       => esc_html__('Professional Services', 'rentex'),
    'publicservicesgovt' => esc_html__('Public Services & Government', 'rentex'),
    'realestate'         => esc_html__('Real Estate', 'rentex'),
    'religiousorgs'      => esc_html__('Religious Organizations', 'rentex'),
    'restaurants'        => esc_html__('Restaurants', 'rentex'),
    'shopping'           => esc_html__('Shopping', 'rentex')
];
$rentex_yelp_sort_by = [
    'best_match'   => esc_html__('Best match', 'rentex'),
    'rating'       => esc_html__('Rating', 'rentex'),
    'review_count' => esc_html__('Review count', 'rentex'),
    'distance'     => esc_html__('Distance', 'rentex'),
];

$rentex_listing_setting = get_option('rentex_listing_setting');
if( !isset($rentex_listing_setting['agent_info_show_only_login']) ) $rentex_listing_setting['agent_info_show_only_login'] = 'false';
if( !isset($rentex_listing_setting['google_map_style']) ) $rentex_listing_setting['google_map_style'] = 'light_grey_and_blue';
if( !isset($rentex_listing_setting['add_listing_unlimited']) ) $rentex_listing_setting['add_listing_unlimited'] = 'false';
?>

<div id="rentex-listing-settings" class="rentex-listing-settings stm-min-height-500px">
    <form method="post">
        <h4><?php esc_html_e("Settings", "rentex"); ?></h4>
        <div class="p-t-30">
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Contact Form Agent", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <select class="form-control" name="Rentex_Listing_Settings[contact_form_id]">
                            <option value=""><?php esc_html_e('Choose Contact Form','rentex'); ?></option>
                            <?php
                            foreach ($rentex_contact_post as $item) {
                                if( $rentex_listing_setting['contact_form_id'] == $item->ID ){
                                    echo '<option value="'.esc_attr($item->ID).'" selected>'.esc_html($item->post_title).'</option>';
                                }else{
                                    echo '<option value="'.esc_attr($item->ID).'">'.esc_html($item->post_title).'</option>';
                                }
                            }
                            ?>
                        </select>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("User must be registered and logged in to see agent information", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <select class="form-control" name="Rentex_Listing_Settings[agent_info_show_only_login]">
                            <option value="true" <?php if( $rentex_listing_setting['agent_info_show_only_login'] == 'true' ) echo 'selected'; ?>><?php esc_html_e('Enable','rentex'); ?></option>
                            <option value="false" <?php if( $rentex_listing_setting['agent_info_show_only_login'] == 'false' ) echo 'selected'; ?>><?php esc_html_e('Disable','rentex'); ?></option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Google Map Style", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <select class="form-control" name="Rentex_Listing_Settings[google_map_style]">
                            <option value="standard" <?php if( $rentex_listing_setting['google_map_style'] == 'standard' ) echo 'selected'; ?>><?php esc_html_e('Standard','rentex'); ?></option>
                            <option value="light_grey_and_blue" <?php if( $rentex_listing_setting['google_map_style'] == 'light_grey_and_blue' ) echo 'selected'; ?>><?php esc_html_e('Light Grey and Blue','rentex'); ?></option>
                            <option value="ultra_light" <?php if( $rentex_listing_setting['google_map_style'] == 'ultra_light' ) echo 'selected'; ?>><?php esc_html_e('Ultra Light','rentex'); ?></option>
                            <option value="shades_of_grey" <?php if( $rentex_listing_setting['google_map_style'] == 'shades_of_grey' ) echo 'selected'; ?>><?php esc_html_e('Shades of Grey','rentex'); ?></option>
                            <option value="blue_water" <?php if( $rentex_listing_setting['google_map_style'] == 'blue_water' ) echo 'selected'; ?>><?php esc_html_e('Blue Water','rentex'); ?></option>
                            <option value="farma_gray" <?php if( $rentex_listing_setting['google_map_style'] == 'farma_gray' ) echo 'selected'; ?>><?php esc_html_e('Farma Gray','rentex'); ?></option>
                            <option value="community" <?php if( $rentex_listing_setting['google_map_style'] == 'community' ) echo 'selected'; ?>><?php esc_html_e('Community','rentex'); ?></option>
                            <option value="chilled" <?php if( $rentex_listing_setting['google_map_style'] == 'chilled' ) echo 'selected'; ?>><?php esc_html_e('Chilled','rentex'); ?></option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Uncheck the package for the list in the Addlisting page.", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <select class="form-control" name="Rentex_Listing_Settings[add_listing_unlimited]">
                            <option value="true" <?php if( $rentex_listing_setting['add_listing_unlimited'] == 'true' ) echo 'selected'; ?>><?php esc_html_e('Enable','rentex'); ?></option>
                            <option value="false" <?php if( $rentex_listing_setting['add_listing_unlimited'] == 'false' ) echo 'selected'; ?>><?php esc_html_e('Disable','rentex'); ?></option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <hr>

        <h4><?php esc_html_e("Yelp Nearby", "rentex"); ?></h4>
        <div class="p-t-30">
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Api Key", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <input class="form-control" name="Rentex_Listing_Settings[yelp_api_key]" type="text" value="<?php echo esc_html($rentex_listing_setting['yelp_api_key']) ?>">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Limit", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <input class="form-control" name="Rentex_Listing_Settings[yelp_limit]" type="number" value="<?php echo esc_html($rentex_listing_setting['yelp_limit']) ?>">
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Categories", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-8">
                        <div class="stm-row">
                            <?php
                            $i = 0;
                            foreach ($rentex_yelp_categories as $key => $value) {
                                $check_value = false;
                                if(isset($rentex_listing_setting['yelp_categories_list']) && !empty($rentex_listing_setting['yelp_categories_list'])){
                                    foreach ($rentex_listing_setting['yelp_categories_list'] as $id => $item){
                                        if( $item == $key){
                                            echo '<div class="stm-col-6"><input type="checkbox" id="vehicle_'.esc_attr($i).'" name="Rentex_Listing_Settings[yelp_categories_list]['.esc_attr($i).']" value="'.esc_attr($key).'" checked><label for="vehicle_'.esc_attr($i).'">&nbsp;&nbsp;'.esc_html($value).'</label></div>';
                                            $check_value = true;
                                            break;
                                        }
                                    }
                                }
                                if(!$check_value){
                                    echo '<div class="stm-col-6"><input type="checkbox" id="vehicle_'.esc_attr($i).'" name="Rentex_Listing_Settings[yelp_categories_list]['.esc_attr($i).']" value="'.esc_attr($key).'"><label for="vehicle_'.esc_attr($i).'">&nbsp;&nbsp;'.esc_html($value).'</label></div>';
                                }
                                $i++;
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Sort by", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <select class="form-control" name="Rentex_Listing_Settings[yelp_sort_by]">
                            <option value=""><?php esc_html_e('Choose Sort By','rentex'); ?></option>
                            <?php
                            foreach ($rentex_yelp_sort_by as $key => $value) {
                                if( $rentex_listing_setting['yelp_sort_by'] == $key ){
                                    echo '<option value="'.esc_attr($key).'" selected>'.esc_html($value).'</option>';
                                }else{
                                    echo '<option value="'.esc_attr($key).'">'.esc_html($value).'</option>';
                                }
                            }
                            ?>
                        </select>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("Caching", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <select class="form-control" name="Rentex_Listing_Settings[yelp_caching]">
                            <option value="true" <?php if( $rentex_listing_setting['yelp_caching'] == 'true' ) echo 'selected'; ?>><?php esc_html_e('Enable','rentex'); ?></option>
                            <option value="false" <?php if( $rentex_listing_setting['yelp_caching'] == 'false' ) echo 'selected'; ?>><?php esc_html_e('Disable','rentex'); ?></option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <hr>
        <h4><?php esc_html_e("Walk Score", "rentex"); ?></h4>
        <div class="p-t-30">
            <div class="form-group">
                <div class="stm-row">
                    <div class="stm-col-3">
                        <label> <?php esc_html_e("API Key", "rentex"); ?></label>
                    </div>
                    <div class="stm-col-5">
                        <input class="form-control" name="Rentex_Listing_Settings[walk_score_api_key]" type="text" value="<?php echo esc_attr($rentex_listing_setting['walk_score_api_key']) ?>">
                    </div>
                </div>
            </div>
        </div>
        <hr>
    </form>
</div>






