<?php
function rentex_agent_layout($data){
    $data["elements"][]            = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Agent Name", 'rentex'),
        "type"        => "element",
        "group"       => "general",
        "module"      => "element",
        "params"      => [
            "template_path"    => "builder/attribute/agent",
            "type"             => "element",
        ],
    ];
    return $data;
}
/*Agent Preview Item Layout*/
add_filter('ulisting_item_layout_data', 'rentex_agent_layout');

/*Divider Single Layout*/
function rentex_agent_single_layout($data){
    $data["elements"][]            = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Agent Info", 'rentex'),
        "type"        => "element",
        "group"       => "basic",
        "module"      => "element",
        "field_group"  => "rentex_agent_single",
        "params"      => [
            "template_path"    => "listing-single/agent",
            "type"             => "element",
            "class"            => "listing-item-box listing-item-boxshadow",
            "title"                             => esc_html__("Contact an agent", 'rentex'),
        ],
    ];

    $data["config"]["rentex_agent_single"] = [
        "field_group" => [
            "title" => [
                "name" => esc_html__("Title", 'rentex'),
                "fields" => [
                    [
                        "type"   => "text",
                        "label"  => esc_html__("Title", 'rentex'),
                        "name"   => "title",
                    ],
                ]
            ],
            "style" => [
                "name" => esc_html__("Style", 'rentex'),
                "fields" => [
                    [
                        "type" => "color",
                        "label" => esc_html__("Background color", 'rentex'),
                        "name" => "background_color",
                    ],
                ]
            ],
            "advanced" => [
                "name" => esc_html__("Advanced", 'rentex'),
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("ID", 'rentex'),
                        "name"  => "id",
                    ],
                    [
                        "type"  => "text",
                        "label" => esc_html__("Class", 'rentex'),
                        "name"  => "class",
                    ],
                    [
                        "type"  => "margin",
                        "label" => esc_html__("Margin", 'rentex'),
                        "name"  => "margin",
                    ],
                    [
                        "type"  => "padding",
                        "label" => esc_html__("Padding",'rentex'),
                        "name"  => "padding",
                    ],
                ]
            ]
        ]
    ];
    return $data;
}
add_filter('ulisting_single_layout_builder_data', 'rentex_agent_single_layout');
