<?php
/**
 * Attribute style template
 */
add_filter("ulisting_attribute_style_templates", function ($styles) {
    $styles["ulisting_style_1"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/style-1.jpg",
        "name"               => esc_html__("Style 1", 'rentex'),
        "attribute_template" => "<div class='ulisting-attribute-template attribute_style_1 attribute_[attribute_type]'><div class='attribute-parts-wrap'>
                                    <span class='attribute-name'>[attribute_name]:</span>
                                    <span class='attribute-value'>[attribute_value]</span>
                                </div></div> ",
    ];

    $styles["ulisting_style_2"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/style-2.jpg",
        "name"               => esc_html__("Style 2", 'rentex'),
        "attribute_template" => "<div class='ulisting-attribute-template attribute_style_2 attribute_[attribute_type]'><div class='attribute-parts-wrap'>
                            <span class='attribute-icon'>[attribute_icon]</span>
                            <span class='attribute-value'>[attribute_value]</span>
                            <span class='attribute-affix'>[sub_title]</span>
                        </div></div> ",
    ];

    $styles["ulisting_style_3"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/style-3.jpg",
        "name"               => esc_html__("Style 3", 'rentex'),
        "attribute_template" => "<div class='ulisting-attribute-template attribute_style_3 attribute_[attribute_type]'><div class='attribute-icon'>[attribute_icon]</div>
                                    <div class='attribute-parts-wrap'>
                                        <span class='attribute-value'>[attribute_value]</span>
                                        <span class='attribute-affix'>[sub_title]</span>
                                    </div> </div> ",
    ];

    $styles["ulisting_style_4"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/attribute-multiselect.jpg",
        "name"               => esc_html__("List Attribute Option", 'rentex'),
        "attribute_template" => "<div class='ulisting-attribute-template attribute_style_4 attribute_[attribute_type]'>  <h4 class='ulisting-heading'>[attribute_name] </h4>  <ul> [option_items] </ul> </div> ",
        "option_template"    => "<li>  <span class='ulisting-attribute-template-icon'> [attribute_option_icon] </span> <span class='ulisting-attribute-template-value'> [attribute_value] </span>  </li>",
    ];


    return $styles;
});

function rentex_attribute_template($styles) {
    $styles["ulisting_style_1"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/style-1.jpg",
        "name"               => esc_html__("Style 1", 'rentex'),
        "attribute_template" => "
<div class='attribute_input_block_style attribute_style_1 attribute_[attribute_type]'>
	<div class='attribute-parts-wrap'>
		<span class='attribute-name'>[attribute_name]:</span>
		<span class='attribute-value'>[attribute_value]</span>
	</div>
</div>
",
    ];

    $styles["ulisting_style_2"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/style-2.jpg",
        "name"               => esc_html__("Style 2", 'rentex'),
        "attribute_template" => "
<div class='attribute_input_block_style attribute_style_2 attribute_[attribute_type]'>
	<div class='attribute-parts-wrap'>
		<span class='attribute-icon'>[attribute_icon]</span>
		<span class='attribute-value'>[attribute_value]</span>
		<span class='attribute-affix'>[sub_title]</span>
	</div>
</div>
",
    ];

    $styles["ulisting_style_3"] = [
        "icon"               => get_template_directory_uri() . "/assets/images/ulisting/builder/attributes/style-3.jpg",
        "name"               => esc_html__("Style 3", 'rentex'),
        "attribute_template" => "
<div class='attribute_input_block_style attribute_style_3 attribute_[attribute_type]'>
	<div class='attribute-icon'>[attribute_icon]</div>
	<div class='attribute-parts-wrap'>
		<span class='attribute-value'>[attribute_value]</span>
		<span class='attribute-affix'>[sub_title]</span>
	</div>
</div>
",
    ];

    return $styles;
}

/*Style Input Block Template (text-number)*/
add_filter("ulisting_input_block_style_templates", 'rentex_attribute_template');
add_filter("ulisting_extra_block_style_templates", 'rentex_attribute_template');


/*Category Template*/
add_filter("ulisting_loop_category_template", function ($styles) {
    $styles["template_1"] = [
        "icon"     => get_template_directory_uri() . "/assets/images/ulisting/builder/category.png",
        "name"     => esc_html__("Style 1", 'rentex'),
        "template" => "<span class='rentext-listing-category'>[category]</span>",
    ];

    return $styles;
});
