<?php

function rentex_carousel_listing_layout($data) {
    $data["elements"][] = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Carousel Listing", 'rentex'),
        "type"        => "element",
        "group"       => "basic",
        "module"      => "element",
        "field_group" => "rentex-carousel-listing",
        "params"      => [
            "template_path"                             => "builder/element/carousel-listing",
            "type"                                      => "element",
            "class"                                     => "listing-item-box listing-item-boxshadow",
            "title"                                     => esc_html__("Latest Listings", 'rentex'),
            "listing_posts_sort_by"                     => 'latest',
            "listing_posts_per_page"                    => '3',
            "ulisting_posts_carousel_loop"              => 'true',
            "ulisting_posts_carousel_nav"               => 'true',
            "ulisting_posts_carousel_dots"              => 'true',
            "ulisting_posts_carousel_items"             => '3',
            "ulisting_posts_carousel_items_tablet"      => '2',
            "ulisting_posts_carousel_items_tablet_mini" => '2',
            "ulisting_posts_carousel_items_mobile"      => '1',
            "ulisting_posts_carousel_items_mobile_mini" => '1',
            "style_template"                            => 'grid-style-1',
        ],
    ];

    $data["config"]["rentex-carousel-listing"] = [
        "field_group" => [
            "general"  => [
                "name"   => "General",
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("Title", 'rentex'),
                        "name"  => "title",
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Listing Type", 'rentex'),
                        "name"  => "listing_posts_type_list",
                        "items" => rentex_ulisting_type(),
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Sort By", 'rentex'),
                        "name"  => "listing_posts_sort_by",
                        "items" => [
                            "latest"   => esc_html__("Latest", 'rentex'),
                            "featured" => esc_html__("Featured", 'rentex'),
                            "popular"  => esc_html__("Popular", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "text",
                        "label" => esc_html__("Per page", 'rentex'),
                        "name"  => "listing_posts_per_page",
                    ],

                ]
            ],
            "carousel" => [
                "name"   => esc_html__("Settings", 'rentex'),
                "fields" => [
                    [
                        "type"  => "select",
                        "label" => esc_html__("Loop", 'rentex'),
                        "name"  => "ulisting_posts_carousel_loop",
                        "items" => [
                            "true"  => esc_html__("Enable", 'rentex'),
                            "false" => esc_html__("Disable", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Arrows", 'rentex'),
                        "name"  => "ulisting_posts_carousel_nav",
                        "items" => [
                            "true"  => esc_html__("Enable", 'rentex'),
                            "false" => esc_html__("Disable", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Dots", 'rentex'),
                        "name"  => "ulisting_posts_carousel_dots",
                        "items" => [
                            "true"  => esc_html__("Enable", 'rentex'),
                            "false" => esc_html__("Disable", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Desktop Columns (bigger 1023px)", 'rentex'),
                        "name"  => "ulisting_posts_carousel_items",
                        "items" => [
                            "1" => esc_html__("1", 'rentex'),
                            "2" => esc_html__("2", 'rentex'),
                            "3" => esc_html__("3", 'rentex'),
                            "4" => esc_html__("4", 'rentex'),
                            "5" => esc_html__("5", 'rentex'),
                            "6" => esc_html__("6", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Tablet Columns (less 1024px)", 'rentex'),
                        "name"  => "ulisting_posts_carousel_items_tablet",
                        "items" => [
                            "1" => esc_html__("1", 'rentex'),
                            "2" => esc_html__("2", 'rentex'),
                            "3" => esc_html__("3", 'rentex'),
                            "4" => esc_html__("4", 'rentex'),
                            "5" => esc_html__("5", 'rentex'),
                            "6" => esc_html__("6", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Tablet Columns (less 992px)", 'rentex'),
                        "name"  => "ulisting_posts_carousel_items_tablet_mini",
                        "items" => [
                            "1" => esc_html__("1", 'rentex'),
                            "2" => esc_html__("2", 'rentex'),
                            "3" => esc_html__("3", 'rentex'),
                            "4" => esc_html__("4", 'rentex'),
                            "5" => esc_html__("5", 'rentex'),
                            "6" => esc_html__("6", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Mobile Columns (less 768px)", 'rentex'),
                        "name"  => "ulisting_posts_carousel_items_mobile",
                        "items" => [
                            "1" => esc_html__("1", 'rentex'),
                            "2" => esc_html__("2", 'rentex'),
                            "3" => esc_html__("3", 'rentex'),
                            "4" => esc_html__("4", 'rentex'),
                            "5" => esc_html__("5", 'rentex'),
                            "6" => esc_html__("6", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "select",
                        "label" => esc_html__("Mobile Columns (less 576px)", 'rentex'),
                        "name"  => "ulisting_posts_carousel_items_mobile_mini",
                        "items" => [
                            "1" => esc_html__("1", 'rentex'),
                            "2" => esc_html__("2", 'rentex'),
                            "3" => esc_html__("3", 'rentex'),
                            "4" => esc_html__("4", 'rentex'),
                            "5" => esc_html__("5", 'rentex'),
                            "6" => esc_html__("6", 'rentex')
                        ],
                    ],
                    [
                        "type"  => "blog",
                        "label" => esc_html__("Style item template (This option only works when the Preview Item uses the Opal Preview Grid layout.)", 'rentex'),
                        "name"  => "style_template",
                        "items" => [
                            "grid-style-1" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-1.jpg",
                                "name" => esc_html__("Style 1", 'rentex'),
                            ],
                            "grid-style-2" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-2.jpg",
                                "name" => esc_html__("Style 2", 'rentex'),
                            ],
                            "grid-style-3" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-3.jpg",
                                "name" => esc_html__("Style 3", 'rentex'),
                            ],
                            "grid-style-4" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-4.jpg",
                                "name" => esc_html__("Style 4", 'rentex'),
                            ],
                            "grid-style-5" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-5.jpg",
                                "name" => esc_html__("Style 5", 'rentex'),
                            ]
                        ]
                    ]
                ]
            ],
            "advanced" => [
                "name"   => esc_html__("Advanced", 'rentex'),
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("ID", 'rentex'),
                        "name"  => "id",
                    ],
                    [
                        "type"  => "text",
                        "label" => esc_html__("Class", 'rentex'),
                        "name"  => "class",
                    ],
                    [
                        "type"  => "margin",
                        "label" => esc_html__("Margin", 'rentex'),
                        "name"  => "margin",
                    ],
                    [
                        "type"  => "padding",
                        "label" => esc_html__("Padding", 'rentex'),
                        "name"  => "padding",
                    ],
                ]
            ]
        ]
    ];

    return $data;
}

/*Carousel Listing Single Layout*/
add_filter('ulisting_single_layout_builder_data', 'rentex_carousel_listing_layout');
