<?php
function rentex_divider_layout($data){
    $data["elements"][]            = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Divider", 'rentex'),
        "type"        => "element",
        "group"       => "basic",
        "module"      => "element",
        "field_group" => "rentex_divider",
        "params"      => [
            "template_path"    => "builder/attribute/divider",
            "type"             => "element",
            "class"            => "rentex-listing-divider",
        ],
    ];
    $data["config"]["rentex_divider"] = [
        "field_group" => [
            "style"    => [
                "name"   => esc_html__("Style", 'rentex'),
                "fields" => [
                    [
                        "type"  => "color",
                        "label" => esc_html__("Background color", 'rentex'),
                        "name"  => "background_color",
                    ]
                ]
            ],
            "advanced" => [
                "name" => esc_html__("Advanced", 'rentex'),
                "fields" => [
                    [
                        "type"  => "text",
                        "label" => esc_html__("ID", 'rentex'),
                        "name"  => "id",
                    ],
                    [
                        "type"  => "text",
                        "label" => esc_html__("Class", 'rentex'),
                        "name"  => "class",
                    ],
                    [
                        "type"  => "margin",
                        "label" => esc_html__("Margin", 'rentex'),
                        "name"  => "margin",
                    ],
                    [
                        "type"  => "padding",
                        "label" => esc_html__("Padding",'rentex'),
                        "name"  => "padding",
                    ],
                ]
            ]
        ]
    ];
    return $data;
}

/*Divider Preview Item Layout*/
add_filter('ulisting_item_layout_data', 'rentex_divider_layout');
/*Divider Single Layout*/
add_filter('ulisting_single_layout_builder_data', 'rentex_divider_layout');
/*Divider Eventory Layout*/
add_filter('ulisting_inventory_layout_data', 'rentex_divider_layout');
