<?php
add_filter('ulisting_item_layout_data', function ($data) {
    $data["elements"][] = [
        "id"          => wp_rand(100, 999) . "_" . time(),
        "title"       => esc_html__("Opal Preview Grid", 'rentex'),
        "type"        => "element",
        "group"       => "basic",
        "module"      => "element",
        "field_group" => "rentex_preview_grid",
        "params"      => [
            "template_path"  => "loop/opal-preview-grid",
            "type"           => "element",
            "style_template" => 'grid-style-1'
        ],
    ];

    $data["config"]["rentex_preview_grid"] = [
        "field_group" => [
            "template" => [
                "name"   => esc_html__("Template", 'rentex'),
                "fields" => [
                    [
                        "type"  => "blog",
                        "label" => esc_html__("Style template", 'rentex'),
                        "name"  => "style_template",
                        "items" => [
                            "grid-style-1" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-1.jpg",
                                "name" => esc_html__("Style 1", 'rentex'),
                            ],
                            "grid-style-2" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-2.jpg",
                                "name" => esc_html__("Style 2", 'rentex'),
                            ],
                            "grid-style-3" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-3.jpg",
                                "name" => esc_html__("Style 3", 'rentex'),
                            ],
                            "grid-style-4" => [
                                "icon" => get_template_directory_uri() . "/assets/images/ulisting/builder/item_preview/style-4.jpg",
                                "name" => esc_html__("Style 4", 'rentex'),
                            ]
                        ]
                    ]
                ]

            ],
        ]
    ];
    return $data;
});
