<?php
/**
 * The loop template file.
 *
 * Included on pages like index.php, archive.php and search.php to display a loop of posts
 * Learn more: https://codex.wordpress.org/The_Loop
 *
 * @package rentex
 */

do_action('rentex_loop_before');

$blog_style = rentex_get_theme_option('blog_type', '');
$postCount = 1;
while (have_posts()) :

    the_post();

    /**
     * Include the Post-Format-specific template for the content.
     * If you want to override this in a child theme, then include a file
     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
     */

    if ($blog_style == '') {
        get_template_part('content', get_post_format());
    } elseif ($blog_style == 'style-1') {
        get_template_part('template-parts/posts-grid/item-post', $blog_style);
    } elseif ($blog_style == 'style-2') {

        if ($postCount == 1) {
            get_template_part('content', get_post_format());
        } else {
            get_template_part('template-parts/posts-grid/item-post', 'style-1');
        }
    }
    $postCount++;

endwhile;

/**
 * Functions hooked in to rentex_loop_after action
 *
 * @see rentex_paging_nav - 10
 */
do_action('rentex_loop_after');
