<?php

get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main" role="main">

            <?php if (have_posts()) : ?>

                <header class="page-header">
                    <h1 class="page-title">
                        <?php
                        /* translators: %s: search term */
                        printf(esc_attr__('Search Results for: %s', 'rentex'), '<span>' . get_search_query() . '</span>');
                        ?>
                    </h1>
                </header><!-- .page-header -->

                <?php
                while (have_posts()) :

                    the_post();
                    ?>
                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <?php rentex_post_thumbnail(); ?>
                        <div class="entry-content-wrap">
                            <?php
                            rentex_post_date();
                            rentex_categories_link();
                            rentex_post_title();
                            ?>
                            <div class="entry-content">
                                <p><?php printf("%s", wp_trim_words(get_the_excerpt(), 20)); ?></p>
                                <p class="more-link-wrap">
                                    <a class="more-link" href="<?php the_permalink() ?>"><?php echo esc_html__('Read More', 'rentex') ?></a>
                                </p>
                            </div>
                        </div>

                    </article>
                <?php
                endwhile;

            else :

                get_template_part('content', 'none');

            endif;
            ?>

        </main><!-- #main -->
    </div><!-- #primary -->

<?php
do_action('rentex_sidebar');
get_footer();
