<?php
/**
 * $Desc
 *
 * @version    $Id$
 * @package    wpbase
 * @author     Opal  Team <opalwordpress@gmail.com>
 * @copyright  Copyright (C) 2017 wpopal.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * @website  http://www.wpopal.com
 * @support  http://www.wpopal.com/questions/
 */
/**
 * Enable/distable share box
 */
$default = '<span class="social-share-title screen-reader-text">' . esc_html__( 'Share:', 'rentex' ) . '</span>';
$heading = apply_filters( 'rentex_social_heading', $default );
if ( rentex_get_theme_option( 'social-share', false ) ) {
	?>
    <div class="rentex-social-share">
		<?php echo '<span class="social-share-header">' .  $heading  . '</span>'; ?>
		<?php if ( rentex_get_theme_option( 'social-share-facebook', true ) ): ?>
            <a class="social-facebook"
               href="http://www.facebook.com/sharer.php?u=<?php the_permalink(); ?>&display=page"
               target="_blank" title="<?php esc_html_e( 'Share on facebook', 'rentex' ); ?>">
                <i class="rentex-icon-facebook"></i>
                <span><?php esc_html_e( 'Facebook', 'rentex' ); ?></span>
            </a>
		<?php endif; ?>

		<?php if ( rentex_get_theme_option( 'social-share-twitter', true ) ): ?>
            <a class="social-twitter"
               href="http://twitter.com/home?status=<?php the_permalink(); ?>" target="_blank"
               title="<?php esc_html_e( 'Share on Twitter', 'rentex' ); ?>">
                <i class="rentex-icon-twitter"></i>
                <span><?php esc_html_e( 'Twitter', 'rentex' ); ?></span>
            </a>
		<?php endif; ?>

		<?php if ( rentex_get_theme_option( 'social-share-linkedin', true ) ): ?>
            <a class="social-linkedin"
               href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php echo urlencode( get_the_title() ); ?>"
               target="_blank" title="<?php esc_html_e( 'Share on LinkedIn', 'rentex' ); ?>">
                <i class="rentex-icon-linkedin"></i>
                <span><?php esc_html_e( 'Linkedin', 'rentex' ); ?></span>
            </a>
		<?php endif; ?>

		<?php if ( rentex_get_theme_option( 'social-share-google-plus', true ) ): ?>
            <a class="social-google" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,'', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" target="_blank"
               title="<?php esc_html_e( 'Share on Google plus', 'rentex' ); ?>">
                <i class="rentex-icon-google-plus"></i>
                <span><?php esc_html_e( 'Google+', 'rentex' ); ?></span>
            </a>
		<?php endif; ?>

		<?php if ( rentex_get_theme_option( 'social-share-pinterest', true ) ): ?>
            <a class="social-pinterest"
               href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode( get_permalink() ); ?>&amp;description=<?php echo urlencode( get_the_title() ); ?>"
               target="_blank" title="<?php esc_html_e( 'Share on Pinterest', 'rentex' ); ?>">
                <i class="rentex-icon-pinterest-p"></i>
                <span><?php esc_html_e( 'Pinterest', 'rentex' ); ?></span>
            </a>
		<?php endif; ?>

		<?php if ( rentex_get_theme_option( 'social-share-email', true ) ): ?>
            <a class="social-envelope" href="mailto:?subject=<?php echo urlencode( get_the_title() ); ?>&amp;body=<?php the_permalink(); ?>"
               title="<?php esc_html_e( 'Email to a Friend', 'rentex' ); ?>">
                <i class="rentex-icon-envelope"></i>
                <span><?php esc_html_e( 'Email', 'rentex' ); ?></span>
            </a>
		<?php endif; ?>
    </div>
	<?php
}
?>
