<?php
/**
 * Account login
 *
 * Template can be modified by copying it to yourtheme/ulisting/account/login.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.5.7
 */
rentex_listing_components_login();
?>

<div id="stm-listing-login">

    <div class="ulisting-form-gruop">
        <label> <?php esc_html_e('Login', 'rentex'); ?></label>
        <div data-v-bind_class="{error: errors['login']}" >
            <input type="text"
                   data-v-on_keyup.enter="logIn"
                   data-v-model="login"
                   class="form-control"
                   placeholder="<?php esc_html_e('Enter login', 'rentex'); ?>"/>
        </div>

        <span data-v-if="errors['login']" class="rentex-danger form-valid-error">{{errors['login']}}</span>
    </div>

    <div class="ulisting-form-gruop">
        <label> <?php esc_html_e('Password', 'rentex'); ?></label>
        <div data-v-bind_class="{error: errors['password']}">
            <input type="password"
                   data-v-on_keyup.enter="logIn"
                   data-v-model="password"
                   class="form-control"
                   placeholder="<?php esc_html_e('Enter password', 'rentex'); ?>"/>
        </div>
        <span data-v-if="errors['password']" class="rentex-danger form-valid-error">{{errors['password']}}</span>
    </div>

    <div class="ulisting-form-gruop">
        <div class="stm-row">
            <div class="stm-col rentex-checkbox">
                <label>
                    <input type="checkbox" value="1" data-v-bind_true-value="1" data-v-bind_false-value="0"
                           data-v-model="remember"> <?php esc_html_e('Remember me', 'rentex') ?>
                    <span class="checkbox-frame"><i class="fa fas fa-check"></i></span>
                </label>
            </div>
            <div class="stm-col text-right"><a href="<?php echo wp_lostpassword_url(); ?>"><?php esc_html_e('Forgot Password', 'rentex') ?></a></div>
        </div>
    </div>
    <div class="ulisting-form-gruop">
        <button data-v-on_click="logIn" type="button"
                class="btn btn-primary w-full"><?php esc_html_e('Login', 'rentex'); ?></button>
    </div>
    <div data-v-if="loading" class="rentex-alert rentex-alert-success"><?php esc_html_e('Loading...', 'rentex'); ?></div>
    <div data-v-if="message" class="rentex-alert rentex-alert-success" data-v-bind_class="{'rentex-alert-danger': (status ==='error'), 'rentex-alert-success': (status !=='error')}">{{message}}</div>
</div>

<?php
    echo apply_filters('usl_social_login_view', '');
?>

