<?php
/**
 * Account add a new agent
 *
 * Template can be modified by copying it to yourtheme/ulisting/account/my-agents/add.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.4
 */

use uListing\Classes\UlistingUserRole;

$data = array(
    'agency_id' => $user->ID
);

rentex_listing_action_add_agent();
rentex_listing_action_inline_data('stm-agent-add', "var ulisting_user_agent_add_data = json_parse('" . ulisting_convert_content(json_encode($data)) . "');", 'before');
?>
<div class="dashboard-content-wrapper padding add-agents-box">
    <div class="stm-row">
        <div class="stm-col-xl-3 stm-col-lg-4 stm-col-md-4 stm-col-sm-12 stm-col-12">
            <h3><?php esc_html_e('Add agent', 'rentex'); ?></h3>
            <p class="add-agents-subtitle"><?php esc_html_e('Add your agent information', 'rentex'); ?></p>
        </div>
        <div class="stm-col-xl-9 stm-col-lg-8 stm-col-md-8 stm-col-sm-12 stm-col-12">
            <div id="stm-listing-agent-add" class="add-agent-form">

                <div class="ulisting-form-gruop">
                    <label> <?php esc_html_e('First name', 'rentex'); ?></label>
                    <input type="text"
                           data-v-model="first_name"
                           class="form-control"
                           placeholder="<?php esc_html_e('Enter first name', 'rentex'); ?>"/>
                    <span class="errors" data-v-if="errors['first_name']">{{errors['first_name']}}</span>
                </div>

                <div class="ulisting-form-gruop">
                    <label> <?php esc_html_e('Last name', 'rentex'); ?></label>
                    <input type="text"
                           data-v-model="last_name"
                           class="form-control"
                           placeholder="<?php esc_html_e('Enter last name', 'rentex'); ?>"/>
                    <span class="errors" data-v-if="errors['last_name']">{{errors['last_name']}}</span>
                </div>

                <div class="ulisting-form-gruop">
                    <label> <?php esc_html_e('Login', 'rentex'); ?></label>
                    <input type="text"
                           data-v-model="login"
                           class="form-control"
                           placeholder="<?php esc_html_e('Enter login', 'rentex'); ?>"/>
                    <span class="errors" data-v-if="errors['login']">{{errors['login']}}</span>
                </div>

                <div class="ulisting-form-gruop">
                    <label> <?php esc_html_e('Email', 'rentex'); ?></label>
                    <input type="email"
                           data-v-model="email"
                           class="form-control"
                           placeholder="<?php esc_html_e('Enter email', 'rentex'); ?>"/>
                    <span class="errors" data-v-if="errors['email']">{{errors['email']}}</span>
                </div>

                <div class="ulisting-form-gruop">
                    <label> <?php esc_html_e('Password', 'rentex'); ?></label>
                    <input type="password"
                           data-v-model="password"
                           class="form-control"
                           placeholder="<?php esc_html_e('Enter password', 'rentex'); ?>"/>
                    <span class="errors" data-v-if="errors['password']">{{errors['password']}}</span>
                </div>

                <div class="ulisting-form-gruop">
                    <label> <?php esc_html_e('Password repeat', 'rentex'); ?></label>
                    <input type="password"
                           data-v-model="password_repeat"
                           class="form-control"
                           placeholder="<?php esc_html_e('Enter password repeat', 'rentex'); ?>"/>
                    <span class="errors" data-v-if="errors['password_repeat']">{{errors['password_repeat']}}</span>
                </div>

                <div class="ulisting-form-gruop">
                    <button data-v-on_click="add_agent" type="button" class="btn-add-agent btn btn-primary w-full">
                        <span v-if="!loading"><?php esc_html_e( 'Add Agent', 'rentex' ); ?></span>
                        <span v-if="loading"><?php esc_html_e( 'Loading...', 'rentex' ); ?></span>
                    </button>
                </div>

                <div data-v-if="message" data-v-bind_class="status">{{message}}</div>

            </div>
        </div>
    </div>
</div>







