<?php
/**
 * @var $model uListing\Classes\StmListing
 */

use uListing\Classes\StmListingTemplate;
use uListing\Classes\StmListingAttribute;
use uListing\Classes\StmListingItemCardLayout;
?>
<div class="rentex-listing-list-item <?php echo esc_attr($element['params']['style_template']); ?>">
    <?php
    $model = $args['model'];
    /*Thumbnail*/
    $element_thumbnail                       = $element;
    $thumbnail_panel                         = "";
    $element_thumbnail['params']['class']    = " ulisting-thumbnail-box";
    $element_thumbnail['params']['template'] = "template_1";
    $feature_image                           = $args['model']->getfeatureImage('rentex-thumbnail-listing');
    $feature_background_image                = ($feature_image) ? $feature_image : get_placeholder_image_url();
    $thumbnail_panel                         = '<div class="thumbnail-box-listing"><a href="' . esc_url(get_permalink($args['model']->ID)) . '" class="ulisting-thumbnail-box-link"></a><img src="' . esc_url($feature_background_image) . '" alt="'.esc_attr__('Thumbnail Image', 'rentex').'">[thumbnail_panel_inner]</div>';

    ?>
    <!--Thumbnail-Box-->
    <div class="rentex-listing-thumbnail-panel">
        <?php
        /*Get Thumbnail Image*/
		printf('%s', StmListingItemCardLayout::render_thumbnail_box("template_1", $thumbnail_panel, "", "", $args['model']->ID));
        ?>
    </div>

    <!--Content-Box-->
    <div class="rentex-listing-content-panel">
        <div class="rentex-main-content">
            <!--Get Title & Short Description-->
            <?php
            StmListingTemplate::load_template("/builder/attribute/title", ['model' => $args['model'], 'element' => $element], true);

            $rentex_location = $args['model']->getAttributeValue( StmListingAttribute::TYPE_LOCATION );
            if (isset($rentex_location) && !empty($rentex_location['address'])) {
                echo '<div class="rentex-meta-size rentex-short-desc">' . esc_html($rentex_location['address']) . '</div>';
            }
            ?>
            <!--Get Attribute Beds,Baths,Area-->
            <div class="rentex-meta-extra">
                <?php
                $element_attribute                             = $element;
                $element_attribute['type']                     = "attribute";
                $element_attribute['params']['style_template'] = "ulisting_style_2";

                $element_beds                                  = $element_attribute;
                $element_beds['params']['attribute']           = "bedrooms";

                $element_baths                                 = $element_attribute;
                $element_baths['params']['attribute']          = "bathrooms";

                $element_area                                  = $element_attribute;
                $element_area['params']['attribute']           = "area";

                rentex_ulisting_get_attribute_template($model, $element_beds, 'bedrooms');
                rentex_ulisting_get_attribute_template($model, $element_baths, 'bathrooms');
                rentex_ulisting_get_attribute_template($model, $element_area, 'area');
                ?>
            </div>
        </div>
    </div>

</div>
