<?php
/**
 * Account navigation
 *
 * Template can be modified by copying it to yourtheme/ulisting/account/navigation.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.3.0
 */

use uListing\Classes\StmUser;

$active = stm_page_endpoint();

if (get_the_ID() === intval(uListing\Classes\StmListingSettings::getPages(uListing\Classes\StmListingSettings::PAGE_ADD_LISTING))) {
    $active = 'add-listing';
}
if (empty($active))
    $active = "dashboard";
?>
<div class="rentex-dashboard-side">
    <a href="#" class="mobile-dashboard-close"><i class="rentex-icon-times"></i></a>
    <?php rentex_site_branding(); ?>
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link<?php echo ('dashboard' === $active) ? ' active' : null ?>" href="<?php echo StmUser::getProfileUrl() ?>">
                <span><?php esc_html_e('Dashboard', 'rentex') ?></span>
            </a>
        </li>
        <li class="nav-item">
            <a class="nav-link<?php echo ('add-listing' === $active) ? ' active' : null ?>" href="<?php echo esc_url(stml_get_link('add_listing')); ?>">
                <span><?php esc_html_e('Add Listing', 'rentex') ?></span>
            </a>
        </li>
        <?php foreach (StmUser::get_account_link('account-navigation') as $item): ?>
            <li class="nav-item">
                <a class="nav-link <?php if( $active == $item['var'] ) echo esc_attr('active'); ?>" href="<?php echo StmUser::getUrl($item['var']) ?>">
                    <span><?php echo esc_html($item['title']); ?></span>
                </a>
            </li>
        <?php endforeach; ?>
        <li class="nav-item">
            <a class="nav-link" href="<?php echo esc_url(wp_logout_url()); ?>">
                <span><?php esc_html_e('Logout', 'rentex') ?></span>
            </a>
        </li>
    </ul>
</div>
<div class="rentex-dashboard-header d-flex justify-content-between">
    <?php rentex_site_branding(); ?>
    <a class="button-outline button-go-back-home desktop-hide-down" href="<?php echo esc_url(home_url('/')); ?>"><i class="rentex-icon-chevron-left"></i>
        &nbsp;&nbsp;<span><?php esc_html_e('Back To Homepage', 'rentex'); ?></span>
    </a>
    <div class="avatar-user desktop-hide-down">
        <?php
        $user_avatar = get_user_meta($user->ID, 'stm_listing_avatar');
        if (isset($user_avatar) && !empty($user_avatar)) :
        $user_avatar = current($user_avatar)['url'];
        ?>
            <img src="<?php echo esc_url($user_avatar); ?>" alt="<?php echo esc_attr($user->user_login); ?>"/>
        <?php else : ?>
            <?php echo get_avatar(get_the_author_meta('ID'), 40); ?>
        <?php endif; ?>
        <span class="name-user"><?php echo esc_attr($user->nickname); ?></span>
        <div class="account-dropdown">
            <div class="account-wrap">
                <div class="account-inner dashboard">
                    <ul class="account-dashboard">
                        <li>
                            <a class="nav-link" href="<?php echo uListing\Classes\StmUser::getProfileUrl() ?>">
                                <span><?php esc_html_e('Dashboard', 'rentex') ?></span>
                            </a>
                        </li>
                        <li>
                            <a class="nav-link" href="<?php echo esc_url(stml_get_link('add_listing')); ?>">
                                <span><?php esc_html_e('Add Listing', 'rentex') ?></span>
                            </a>
                        </li>
                        <?php foreach (uListing\Classes\StmUser::get_account_link('account-navigation') as $item): ?>
                            <li>
                                <a class="nav-link" href="<?php echo uListing\Classes\StmUser::getUrl($item['var']) ?>">
                                    <span><?php echo esc_html($item['title']); ?></span>
                                </a>
                            </li>
                        <?php endforeach; ?>
                        <li>
                            <a class="nav-link" href="<?php echo esc_url(wp_logout_url()); ?>">
                                <span><?php esc_html_e('Logout', 'rentex') ?></span>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

    </div>
    <a class="button button-add-listing" href="<?php echo stml_get_link('add_listing'); ?>">
        <i class="rentex-icon-home-plus"></i>
        <span><?php esc_html_e('Add Listing', 'rentex'); ?></span>
    </a>
    <?php
    rentex_mobile_dashboard_button();
    ?>
</div>


