<?php
/**
 * Account register
 *
 * Template can be modified by copying it to yourtheme/ulisting/account/register.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.0.1
 */
use uListing\Classes\UlistingUserRole;

$register_data = [];
$user_role_list = [];
$userRole = new UlistingUserRole();
foreach ($userRole->roles as $key => $role){
	$user_role_list[] = [
		"id" => $key,
		"text" => $role['name'],
	];
}
$register_data['user_role_list'] = $user_role_list;
rentex_listing_components_register();
rentex_listing_action_inline_data('stm-register', "var ulisting_user_register_data = json_parse('". ulisting_convert_content(json_encode($register_data)) ."');", 'before');
?>

<div id="stm-listing-register" class="register-wrap clear">
	<h4><?php  esc_html_e('Registration', 'rentex'); ?></h4>

	<div class="ulisting-form-gruop">
		<label> <?php  esc_html_e('Login', 'rentex'); ?></label>
		<input type="text"
			data-v-model="login"
			class="form-control"
			placeholder="<?php esc_html_e('Enter login', 'rentex'); ?>"/>
		<span data-v-if="errors['login']" class="rentex-danger form-valid-error">{{errors['login']}}</span>
	</div>

	<div class="stm-row">
		<div class="stm-col-12 stm-col-md-6">
			<div class="ulisting-form-gruop">
				<label> <?php  esc_html_e('First name', 'rentex'); ?></label>
				<input type="text"
					   data-v-model="first_name"
					   class="form-control"
					   placeholder="<?php esc_html_e('Enter first name', 'rentex'); ?>"/>
				<span data-v-if="errors['first_name']" class="rentex-danger form-valid-error">{{errors['first_name']}}</span>
			</div>
		</div>
		<div class="stm-col-12 stm-col-md-6">
			<div class="ulisting-form-gruop">
				<label> <?php  esc_html_e('Last name', 'rentex'); ?></label>
				<input type="text"
					   data-v-model="last_name"
					   class="form-control"
					   placeholder="<?php esc_html_e('Enter last name', 'rentex'); ?>"/>
				<span data-v-if="errors['last_name']" class="rentex-danger form-valid-error">{{errors['last_name']}}</span>
			</div>
		</div>
	</div>

	<div class="stm-row">
		<div class="stm-col-12 stm-col-md-6">
			<div class="ulisting-form-gruop">
				<label> <?php  esc_html_e('Email', 'rentex'); ?></label>
				<input type="email"
					   data-v-model="email"
					   class="form-control"
					   placeholder="<?php esc_html_e('Enter email', 'rentex'); ?>"/>
				<span data-v-if="errors['email']" class="rentex-danger form-valid-error">{{errors['email']}}</span>
			</div>
		</div>
		<div class="stm-col-12 stm-col-md-6">
			<div class="ulisting-form-gruop">
				<label> <?php  esc_html_e('Role', 'rentex'); ?></label>
				<ulisting-select2 :options='user_role_list' data-v-model='role' theme='bootstrap4'></ulisting-select2>
				<span data-v-if="errors['role']" class="rentex-danger form-valid-error">{{errors['role']}}</span>
			</div>
		</div>
	</div>

	<div class="ulisting-form-gruop">
		<label> <?php esc_html_e('Password', 'rentex'); ?></label>
		<input type="password"
			data-v-model="password"
			class="form-control"
			placeholder="<?php esc_html_e('Enter password', 'rentex'); ?>"/>
			<span data-v-if="errors['password']" class="rentex-danger form-valid-error">{{errors['password']}}</span>
	</div>

	<div class="ulisting-form-gruop">
		<label> <?php esc_html_e('Password repeat', 'rentex'); ?></label>
		<input type="password"
			data-v-model="password_repeat"
			class="form-control"
			placeholder="<?php esc_html_e('Enter password repeat', 'rentex'); ?>"/>
			<span data-v-if="errors['password_repeat']" class="rentex-danger form-valid-error">{{errors['password_repeat']}}</span>
	</div>
	<div class="stm-row">
		<div class="stm-col-12 stm-col-md-6">
			<div class="ulisting-form-gruop">
				<button data-v-on_click="register" type="button" class="btn btn-primary w-full"><?php esc_html_e('Register', 'rentex'); ?></button>
			</div>
		</div>
	</div>
	<div class="rentex-success" data-v-if="loading"><?php esc_html_e('Loading...','rentex'); ?></div>

	<div class="rentex-success" data-v-if="message"  data-v-bind_class="status" >{{message}}</div>

</div>






