<?php
/**
 * Aaved searches
 *
 * Template can be modified by copying it to yourtheme/ulisting/saved-searches/saved-searches.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.4
 */

$searches = \uListing\Classes\UlistingSearch::get_user_searches(get_current_user_id());
?>

<?php if (!empty($searches)) : ?>
    <h2 class="page-title"><?php esc_html_e('Saved Searches', 'rentex'); ?></h2>
    <div class="dashboard-content-wrapper padding">
        <div class="table-responsive">
            <table class="table ulisting-table table-striped searches-table">
                <thead>
                <tr>
                    <th><?php esc_html_e("Listing type", "rentex") ?></th>
                    <th><?php esc_html_e("Params", "rentex") ?></th>
                    <th style="width: 120px;"><?php esc_html_e("Action", "rentex") ?></th>
                </tr>
                </thead>
                <tbody>
                <?php foreach ($searches as $search): ?>
                    <tr class="ulisting-search-item-<?php echo esc_attr($search->id) ?>">
                        <td><?php echo esc_attr($search->get_listing_type()->post_title) ?></td>
                        <td>
                            <?php foreach ($search->get_params() as $attribute):
                                $rentex_attribute_value = (is_array($attribute['value'])) ? implode(', ', $attribute['value']) : $attribute['value'];
                                ?>
                                <?php echo esc_attr($attribute['title']); ?> : <?php echo esc_html($rentex_attribute_value); ?> ; &nbsp;
                            <?php endforeach; ?>
                        </td>
                        <td class="ulisting-search-item-buttons">
                            <a target="_blank" class="btn btn-view-search w-full" href="<?php echo esc_url($search->get_url()) ?>" title="<?php esc_html_e('View','rentex') ?>">
                                <i class="rentex-icon-eye" aria-hidden="true"></i>
                            </a>
                            <button onclick="delete_search(this, <?php echo esc_attr($search->id) ?>)" class="btn btn-delete-search w-full m-t-15" title="<?php esc_html_e('Delete','rentex') ?>">
                                <i class="rentex-icon-trash-alt"></i>
                            </button>
                        </td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
<?php else : ?>
    <h3 class="text-center p-t-30"><?php esc_html_e("You have no saved searches yet!", "rentex") ?></h3>
<?php endif; ?>
