<?php
/**
 * Add listing
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/add-listing.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */

use uListing\Classes\StmUser;
use uListing\Classes\StmListingTemplate;
use uListing\Classes\StmListingSettings;

$user = null;
$view = 'add-listing/add';

if (is_user_logged_in())
	$user = new StmUser(get_current_user_id());

if (isset($_GET['edit']))
	$view = 'add-listing/edit';

$user_plans  = $user->getPlanList();
$check_limit = $user->checkLimitForAddListing();

if (!$check_limit):
	rentex_listing_action_inline_data('stm-form-listing', "window.location.replace('" . get_page_link(StmListingSettings::getPages(StmListingSettings::PAGE_PRICING_PLAN)) . "');", 'before');
else: ?>
	<div class="rentex-ulisting-dashboard">
		<?php StmListingTemplate::load_template( 'account/navigation', ['user' => $user], true );?>
        <div class="rentex-dashboard-content">
            <div class="container">
                <?php echo StmListingTemplate::load_template($view, array('user' => $user, 'user_plans' => $user_plans), true); ?>
            </div>
        </div>
	</div>
<?php endif; ?>

