<?php
/**
 * Add listing field accordion
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/field/accordion.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.3.9
 */
?>
<div class="ulisting-form-gruop form-field add-floor">
	<label><?php echo esc_html($attribute->title)?></label>
	<div v-for="(item, index) in attributes.<?php echo esc_attr($attribute->name)?>.data" class="card">
		<div class="card-header">
			<div class="row">
                <div class="stm-col-12 stm-col-md-10 mb-md-10">
                    <input @click="accordion_toggle_open(item, true)" type="text" v-model="item.title" placeholder="<?php esc_html_e("Title","rentex")?>">
				</div>
                <div class="stm-col-12 stm-col-md-2 text-right my-auto">
					<button @click="remove(attributes.<?php echo esc_attr($attribute->name)?>.data, index)" type="button" class="btn btn-danger btn-custom-size-sm">
						<i class="rentex-icon-trash-alt" aria-hidden="true"></i>
					</button>
					<button @click="accordion_toggle_open(item)" type="button" class="btn btn-light btn-custom-size-sm btn-custom">
						<i v-if="!item.is_open" class="rentex-icon-angle-down"></i>
						<i v-if="item.is_open" class="rentex-icon-angle-up"></i>
					</button>
				</div>
			</div>
		</div>
		<div v-if="item.is_open" class="card-body">

			<label><?php esc_html_e("Options", "rentex")?></label>

			<div class="form-group">
				<div v-for=" ( param, _index) in item.options" class="row">
                    <div  class="stm-col-12 stm-col-sm-3 p-t-5 mb-20">
						<input type="text" v-model="param.key" class="form-control" placeholder="<?php esc_html_e("Key", "rentex")?>">
					</div>
                    <div  class="stm-col-12 stm-col-sm-3 p-t-5 mb-20">
						<input type="text" v-model="param.val" class="form-control" placeholder="<?php esc_html_e("Value", "rentex")?>">
					</div>
                    <div  class="stm-col-12 stm-col-sm-2 p-t-5 my-auto">
						<button @click="remove(item.options, _index)" type="button" class="btn btn-danger float-left">
							<i class="rentex-icon-trash-alt" aria-hidden="true"></i>
						</button>
					</div>
				</div>
			</div>
			<button class="btn btn-success btn-custom-size-xs mb-20" @click="add_options(item)"><?php esc_html_e("Add option", "rentex")?></button>
			<hr>
			<textarea v-bind:id="'accordion_content_'+item.id"  v-model="item.content"></textarea>
		</div>
	</div>
    <div class="p-t-15 text-right">
		<button type="button" class="btn btn-success" @click="add_item_accordion(attributes.<?php echo esc_attr($attribute->name)?>.data)"> <?php esc_html_e('+ Add', 'rentex');?> </button>
	</div>
</div>
