<?php
/**
 * Add listing field gallery
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/field/gallery.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.5.6
 */
?>
<div class="ulisting-form-gruop form-field">
	<label><?php echo esc_html($attribute->title)?></label>
	<stm-file-dragdrop inline-template :files="attributes.<?php echo esc_attr($attribute->name)?>.value"  :feature_image="feature_image" @set-feature-image="setfeatureImage"  v-on:stm-file-dragdrop-update="attributes.<?php echo esc_attr($attribute->name)?>.value = $event">
		<div>
			<div class="stm-file-dragdrop" @drop="onDrop" @dragover="onDrag" @dragleave="onDragLeave" v-bind:class="{'is-dragover': isDrag}">
				<div class="main-image">
					<input type="file" v-bind:style="{opasity:0}" multiple  @change="onChange">
					<div class="icon-text">
						<i class="rentex-icon-gallery-upload"></i>
						<span><?php esc_html_e('Choose a file or drag it here', 'rentex'); ?></span>
					</div>
				</div>
			</div>

			<div class="stm-gallery-list">
				<draggable v-model="files" class="gallery-list-item" :options="{group:'gallery'}" @end="end">
					<div class="gallery-list" v-for="(val, key) in files" :key="key" >
						<div class="item"  v-bind:class="{ feature: checkfeature('<?php echo esc_attr($attribute->name)?>', key, val)}">
							<span v-if="checkfeature('<?php echo esc_attr($attribute->name)?>', key, val)" class="feature-info"><?php esc_html_e('feature', 'rentex')?></span>
							<span class="image" v-bind:style="{ backgroundImage: 'url(' + val.data + ')' }" ></span>
							<div class="bottom">
								<span class="close" @click="remove(key)"><i class="rentex-icon-trash-alt"></i></span>
								<span class="feature"  @click="selectfeature('<?php echo esc_attr($attribute->name)?>', key, val)">
									<i v-if="checkfeature('<?php echo esc_attr($attribute->name)?>', key, val)" class="rentex-icon-check"></i>
									<i v-if="!checkfeature('<?php echo esc_attr($attribute->name)?>', key, val)" class="rentex-icon-star"></i>
								</span>
							</div>
						</div>
					</div>
				</draggable>
			</div>
		</div>
	</stm-file-dragdrop>
	<span v-if="errors['<?php echo esc_attr($attribute->name)?>']" class="form-valid-error">{{errors['<?php echo esc_attr($attribute->name)?>']}}</span>
</div>
