<?php
/**
 * Add listing listing type
 *
 * Template can be modified by copying it to yourtheme/ulisting/add-listing/listing-type.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */

use uListing\Classes\StmListingType;
use uListing\Classes\StmListingSettings;

$addListingPageUrl = StmListingSettings::getAddListingPageUrl();
$listingTypes      = StmListingType::getDataList();
?>

<div class="add-listing-types">
	<div class="stm-row">
		<?php foreach ($listingTypes as $key => $value): ?>
			<div class="stm-col-lg-3 stm-col-md-4 stm-col-sm-6">
				<div class="listing-type-box">
					<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( $key ), 'full' ); ?>
					<a href="<?php echo esc_url($addListingPageUrl) . '?listingType=' . $key ?>"
					   <?php if($thumb[0]){ ?>style="background-image: url('<?php echo esc_url( $thumb['0'] ); ?>')" <?php } ?>
					   <?php if( empty( $thumb ) ) { ?>class="none-image"<?php } ?>>
						<h4 class="listing-type-title">
                            <span><?php echo esc_html($value) ?></span>
                        </h4>
					</a>
				</div>
			</div>
		<?php endforeach; ?>
	</div>
</div>

