<?php
/**
 * @var $model uListing\Classes\StmListing
 */

use uListing\Classes\StmUser;
use uListing\Classes\StmListingUserRelations;

$model = $args['model'];
$post_ID               = $model->ID;
$listing_user_relation = StmListingUserRelations::query()->where('listing_id', $post_ID)->findOne();
if (isset($listing_user_relation->user_id) && !empty($listing_user_relation->user_id)){
    $user                  = new StmUser($listing_user_relation->user_id);
    $user_avatar = get_user_meta($user->ID, 'stm_listing_avatar');
}
if (!isset($user)) return;

?>
<div class="rentex-listing-agent">
    <div class="listing-agent-wrap">
        <?php if (isset($user_avatar) && !empty($user_avatar)) {
            $user_avatar = current($user_avatar)['url']; ?>
            <div class="avatar">
                <a href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><img src="<?php echo esc_url($user_avatar); ?>" alt="<?php echo esc_attr($user->user_login); ?>"/></a>
            </div>
        <?php } else { ?>
            <div class="avatar">
                <a href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><img src="<?php echo ULISTING_URL; ?>/assets/img/none.png" alt="<?php echo esc_attr($user->user_login); ?>"/></a>
            </div>
        <?php } ?>
        <?php if (!empty($user->nickname)) { ?>
            <h4 class="user_name">
                <a href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><?php echo esc_attr($user->nickname); ?></a>
            </h4>
        <?php } ?>
    </div>
</div>
