<?php
/**
 * @var uListing\Classes\StmListing $model
 */
$type             = uListing\Classes\StmListingSettings::get_current_map_type();
$is_google        = $type === 'google';
$access_token_arr = uListing\Classes\StmListingSettings::get_current_map_api_key();
$access_token     = isset($access_token_arr[$type]) ? $access_token_arr[$type] : '';

rentex_listing_action_other('slick');
rentex_listing_action_other('rentex-ulisting-gallery-style-2.js');

$gallery_popup = [];
foreach ($model->getAttributeValue($element['params']['attribute']) as $val) {
    $full   = wp_get_attachment_image_src($val->value, 'full');
    $single = wp_get_attachment_image_src($val->value, 'rentex-ulisting-detail-gallery-2');

    $gallery_items[] = [
        'value'  => $val->value,
        'sort'   => $val->sort,
        'full'   => ($full) ? $full : [get_placeholder_image_url()],
        'single' => ($single) ? $single : [get_placeholder_image_url()],
    ];
}
\uListing\Classes\Vendor\ArrayHelper::multisort($gallery_items, "sort");

?>
<div class="rentex-property-gallery-contaniner rentex-property-gallery-2">
    <div class="ulisting_tab_gallery_content">
        <?php
        if (isset($gallery_items) && !empty($gallery_items)):
            ?>
            <div class="tab-content active gallery">
                <div class="ulisting_single_gallery" id="ulisting-single-gallery-thumbnail-preview">
                    <a href="#" class="gallery-view-full">
                        <i class="rentex-icon-expand-alt"></i>
                    </a>
                    <div class="inner rentex-carousel" data-popup-json="<?php echo esc_attr(rentex_ulisting_get_gallery_popup_json($gallery_items)); ?>">
                        <?php
                        if (isset($gallery_items) && !empty($gallery_items)) {
                            foreach ($gallery_items as $key => $gallery) { ?>
                                <div class="gallery-wrap">
                                    <?php echo wp_get_attachment_image($gallery['value'], 'rentex-ulisting-detail-gallery-2'); ?>
                                </div>
                            <?php }
                        } ?>
                    </div>
                </div>
            </div>
        <?php
        endif;

        $latitude  = $location['latitude'];
        $longitude = $location['longitude'];
        if (!empty($longitude) && !empty($latitude)):
            ?>
            <div class="tab-content map <?php echo esc_attr($type); ?>">
                <?php if ($is_google):
                    rentex_ulisting_gallery_google_map($latitude, $longitude);
                else:
                    rentex_ulisting_gallery_openstreetmap($args['model'], $args['model']->ID, $access_token);
                endif; ?>
            </div>
        <?php
        endif;
        ?>
    </div>
</div>
