<?php
/**
 * Builder attribute location
 *
 * Template can be modified by copying it to yourtheme/ulisting/builder/attribute/location.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.3.5
 */
use uListing\Classes\StmListingAttribute;
use uListing\Classes\StmListingTemplate;

$type = uListing\Classes\StmListingSettings::get_current_map_type();
$is_google = $type === 'google';
$access_token_arr = uListing\Classes\StmListingSettings::get_current_map_api_key();
$access_token = isset($access_token_arr[$type]) ? $access_token_arr[$type] : '';

if($is_google) {
    rentex_listing_action_other('rentex-ulisting-google-map.js');
    rentex_action_google_map();
}else {
    rentex_listing_components_street_map();
}

if(!isset($id))
	$id = rand(10, 99999);

$location = $args['model']->getAttributeValue($element['params']['attribute_type']);
$data           = $location;
$data['id']     = $args['model']->ID.'_'.$id;
$data['zoom']   = $element['params']['zoom'];
$data['marker'] = [
	"icon" =>apply_filters('ulisting_map_marker_icon', [
						   'url' =>  get_template_directory_uri() . "/assets/images/ulisting/mapmarker.svg",
						   'scaledSize' => array('height' => 50, 'width' => 50)])
];
?>

<div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element) ?>>
	<?php if(isset($element['params']['view_item']) AND $element['params']['view_item']):?>
		<p><?php echo esc_html($location['address'])?></p>
	<?php else:?>
		<?php
            rentex_listing_components_attribute_location();
			rentex_listing_action_inline_data('ulisting-attribute-location', "var ulisting_attribute_location_data = json_parse('". ulisting_convert_content(json_encode($data)) ."');", 'before');
		?>
		<div class="stm-row">
			<div class="stm-col-12 stm-col-md-12">
                <h4 class='ulisting-heading'><?php echo esc_html($element['title']);?></h4>
			</div>
		</div>

		    <?php if($is_google): ?>
            <div id="ulisting_attribute_location_<?php echo esc_attr($data['id'])?>" style="width: <?php echo esc_html($element['params']['width'])?>; height: <?php echo esc_html($element['params']['height'])?>">
                <rentext-google-map
                    inline-template
                    id="listing-map_<?php echo  esc_attr($id)?>"
                    :zoom="zoom"
                    :center="center"
                    :markers="markers"
                    map-type-id="terrain"
                    :styles='<?php echo esc_attr(rentex_google_map_style()); ?>' >
                    <div class="stm-listing-map-custom"> <div style="width: <?php echo esc_html($element['params']['width'])?>; height: <?php echo esc_html($element['params']['height'])?>" v-bind:id="id" ></div></div>
                </rentext-google-map>
            </div>
            <?php else:?>
                <div id="ulisting_attribute_location_<?php echo esc_attr($data['id'])?>" style="width: <?php echo esc_html($element['params']['width'])?>; height: <?php echo esc_html($element['params']['height'])?>">
                    <open-street-map
                        inline-template
                        id="listing-map_<?php echo  esc_attr($id)?>"
                        :zoom="zoom"
                        :center="center"
                        :markers="markers"
                        map-type-id="terrain"
                        access_token="<?php echo esc_attr($access_token)?>">
                        <div class="stm-listing-map-custom"> <div style="width: <?php echo esc_html($element['params']['width'])?>; height: <?php echo esc_html($element['params']['height'])?>" v-bind:id="id" ></div></div>
                    </open-street-map>
                </div>
            <?php endif;?>

	<?php endif;?>
</div>
