<?php

use uListing\Classes\StmListingAttribute;

$location       = $args['model']->getAttributeValue(StmListingAttribute::TYPE_LOCATION);
$rentex_gallery = $args['model']->getAttributeValue('gallery');
$type = uListing\Classes\StmListingSettings::get_current_map_type();
$is_google = $type === 'google';
?>

<div class="ulisting_tab_gallery">
    <ul class="tablist_gallery">
        <?php
        if (isset($rentex_gallery) && !empty($rentex_gallery)) { ?>
            <li class="active">
                <a class="tab-gallery" data-action="gallery" href="#">
                    <i class="rentex-icon-images"></i>
                    <span><?php esc_html_e('Gallery', 'rentex') ?></span>
                </a>
            </li>
            <?php
        }

        $latitude  = $location['latitude'];
        $longitude = $location['longitude'];
        if (!empty($longitude) && !empty($latitude)):
            ?>
            <li>
                <a class="tab-map" data-action="map" href="#">
                    <i class="rentex-icon-map"></i>
                    <span><?php esc_html_e('Map', 'rentex') ?></span>
                </a>
            </li>
            <?php if($type === 'google'){ ?>
                <li>
                    <a class="tab-streetview" data-action="streetview" href="#">
                        <i class="rentex-icon-street-view"></i>
                        <span><?php esc_html_e('Street View', 'rentex') ?></span>
                    </a>
                </li>
            <?php
            }
        endif;
        ?>
    </ul>
</div>
