<?php
rentex_listing_action_other('ulisting/mortgage_calc.js');
?>
<div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element); ?>>
    <?php

    use uListing\Classes\StmListingSettings;
    use uListing\Classes\StmListingAttribute;

    $currency_settings = (object) StmListingSettings::getCurrency();
    if($currency_settings->currency === 'AED' && strpos(get_locale(), 'en_') !== false){
        $currency = $currency_settings->currency. " ";
    }else{
        $currency = StmListingSettings::get_stm_currency_symbol( $currency_settings->currency );
    }

    $price = $args['model']->getAttributeValue(StmListingAttribute::TYPE_PRICE);
    $price = (isset($price["price"])) ? $price["price"] : 0;
    $currency_settings = json_encode(get_option(StmListingSettings::ULISTINGCURRENCY_SETTINGS, [
        'position' => 'left',
        'thousands_separator' => ',',
        'decimal_separator' => '.',
        'characters_after' => '2',
    ]));

    wp_localize_script(  'ulisting/mortgage_calc.js',  'mortgage_calc_data',  array(
            'price'     => $price,
            'currency'  => $currency,
            'settings'  => $currency_settings
        )
    );
    ?>

    <div id="mortgage_calc">
        <div class="mortgage_calc_box">
            <div class="mortgage_calc_title_box">
                <h4 class="ulisting-heading calc-heading white"><?php esc_html_e( 'Mortgage Calculator', 'rentex' ); ?></h4>
            </div>
            <div class="mortgage_calc-results">
                <div class="calc-payment-price">
                    <div class="form-group total">
                        <label><?php esc_html_e( 'Total Amount', 'rentex' ); ?></label>
                        <span>{{formatAsCurrency(principal)}}</span>
                    </div>
                    <div class="form-group payment">
                        <label><?php esc_html_e( 'Your payment', 'rentex' ); ?></label>
                        <span>{{formatAsCurrency(payment)}}</span>
                    </div>
                </div>
                <div class="calc-payment-info">
                    <div class="form-group">
                        <label><?php esc_html_e( 'Total cost of loan', 'rentex' ); ?></label>
                        <span class="">{{formatAsCurrency(totalCostOfMortgage)}}</span>
                    </div>

                    <div class="form-group">
                        <label><?php esc_html_e( 'Total interest paid', 'rentex' ); ?></label>
                        <span class="">{{formatAsCurrency(interestPayed)}}</span>
                    </div>

                    <div class="form-group">
                        <label><?php esc_html_e( 'Payment', 'rentex' ); ?></label>
                        <span class="out">{{paymentSelection}}</span>
                    </div>

                    <div class="form-group">
                        <label><?php esc_html_e( 'Mortgage payment:', 'rentex' ); ?></label>
                        <span class="out">{{formatAsCurrency(payment)}}</span>
                    </div>
                </div>
            </div>
            <div class="mortgage_calc-form">
                <div class="form-group">
                    <label><?php esc_html_e( 'Total Amount', 'rentex' ); ?> </label>
                    <calc_field v-model="homeValue" :step="1000" value="222" type="currency"></calc_field>
                </div>
                <div class="form-group">
                    <label><?php esc_html_e( 'Down Payment', 'rentex' ); ?> </label>
                    <calc_field v-model="downpayment" :step="1000" type="currency"></calc_field>
                </div>
                <div class="form-group">
                    <label><?php esc_html_e( 'Interest Rate', 'rentex' ); ?> </label>
                    <calc_field v-model="interestRate" :step="0.001" type="percent" :decimals="3"></calc_field>
                </div>
                <div class="form-group">
                    <label><?php esc_html_e( 'Amortization Period', 'rentex' ); ?> </label>
                    <calc_field v-model="amortization" :step="1" type="years"></calc_field>
                </div>
                <div class="form-group">
                    <label><?php esc_html_e( 'Payment Period', 'rentex' ); ?> </label>
                    <select class="form-control" v-model="paymentSelection">
                        <option v-for="payment, key in paymentPeriod" :value="key">{{key}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <template id="calc_field">
        <input type="text" class="form-control" @keydown.up.prevent="increment" @keydown.down.prevent="decrement" :value="active?val:formatted" @blur="update" @keyup.enter.stop="update" @focus="active = true">
    </template>
</div>
