<?php
/**
 * Comment comment
 *
 * Template can be modified by copying it to yourtheme/ulisting/comment/comment.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.0
 */
rentex_listing_components_comment();
?>
<div id="ulisting-comment">
	<ulisting-comment inline-template type="<?php echo esc_attr($params['type'])?>" object_id="<?php echo esc_attr($params['object_id'])?>">
		<div>
            <div class="ulisting-comment-box list-comment" v-if="reviews_total > 0">
                <h5 class="ulisting-comment-heading"><?php esc_html_e("Latest Reviews", 'rentex')?></h5>
                <div class="ulisting-comment-list">
                    <div class="ulisting-comment-item" v-for="( review, index ) in reviews_list">
                        <div class="media">
                            <div class="media-left">
                                <img v-bind:src="review.avatar_url" class="mr-3">
                            </div>
                            <div class="media-body">
                                <star-rating
                                        :inline="true"
                                        inactive-color="#6c757d"
                                        active-color="#99cc66"
                                        :star-size="12"
                                        :read-only="true"
                                        :show-rating="false"
                                        :rating="review.rating">
                                </star-rating>
                                <h5 class="media-heading">{{review.comment_author}}</h5>
                                <div class="media-date">{{review.comment_date}} {{review.comment_time}}</div>
                                <p>{{review.comment_content}}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ulisting-comment-box ulisting-no-comment" v-if="reviews_total == 0">
                <h3 class="text-center"><?php esc_html_e("You have no reviews yet", 'rentex')?></h3>
            </div>
			<div class="ulisting-comment-box form-comment">
				<h5 class="ulisting-comment-heading"><?php esc_html_e("Add a review", 'rentex')?></h5>
				<div class="d-flex align-items-center comment-form-rating">
					<label><?php esc_html_e("Your review", 'rentex')?></label>
					<star-rating
						v-bind:increment="1"
						v-bind:max-rating="5"
						inactive-color="#6c757d"
						active-color="#99cc66"
						v-bind:star-size="14"
						@rating-selected="rating = $event"
                        :show-rating="false"
						:rating="rating">
					</star-rating>
				</div>
				<div class="form-group">
					<p>
						<textarea class="form-control" rows="3" v-model="review"></textarea>
					</p>
				</div>

				<?php if(is_user_logged_in()):?>
					<div class="form-group">
						<p class="text-center" v-if="preloader_send"><?php esc_html_e("Load", 'rentex')?></p>
						<button v-if="!preloader_send" @click="submit" type="button" class="btn btn-primary"><?php esc_html_e("Submit", 'rentex')?></button>
					</div>
					<p v-if="message">{{message}}</p>
					<ul v-if="errors">
						<li v-for="error in errors">{{error}}</li>
					</ul>
					<br>
				<?php else:?>
				    <p><?php esc_html_e("To leave a review, just log in or sign up!", 'rentex')?>
					    <a class="btn btn-success" href="<?php echo \uListing\Classes\StmUser::getProfileUrl();?>"><?php esc_html_e("Login ", 'rentex')?></a></p>
			    <?php endif;?>
			</div>

			<div class="text-center" v-if="show_load_more">
				<p v-if="load_more_loading"><?php esc_html_e("Load", 'rentex')?></p>
				<button @click="load_more" v-if="!load_more_loading" class="btn btn-success"><?php esc_html_e("Load more", 'rentex')?></button>
			</div>

		</div>
	</ulisting-comment>
</div>



