<?php
/**
 * Components fields checkbox
 *
 * Template can be modified by copying it to yourtheme/ulisting/components/fields/checkbox.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.3.2
 */
if (!isset($column) || empty($column)) {
	$column = 1;
}
?>
<?php if ($model) : ?>
	<stm-field-checkbox inline-template
						data-v-bind_key="generateRandomId()"
						data-v-model='<?php echo esc_attr($model) ?>'
						order_by='<?php echo esc_html($order_by) ?>'
						order='<?php echo esc_html($order) ?>'
						data-v-bind_callback_change='<?php echo esc_attr($callback_change) ?>'
						data-v-bind_items='<?php echo esc_attr($items) ?>'
						data-v-bind_hide_empty='"<?php echo esc_attr($hide_empty) ?>"'
	<?php echo isset($active_tab) ? "data-v-bind_current_tab='" . esc_attr($active_tab) . "'>" : '>' ?>
	<div class="ulisting-form-gruop rentex-checkbox-filter drop-size-<?php echo esc_attr($column); ?>">
		<label><?php echo (isset($field['label'])) ? esc_html($field['label']) : "" ?></label>
		<div class="rentex-filter-box">
			<div class="box-inner">
				<div class="stm-row">
					<div class='rentex-checkbox stm-col-<?php echo 12 / $column; ?> checkbox-input'
						 data-v-for='(item, index) in list'>
						<label>
							<input data-v-on_change='updateValue' type='checkbox' data-v-bind_value='item.value'
								   data-v-model='value'>
							{{item.name}}
							<span class="checkbox-frame"><i class="fa fas fa-check"></i></span>
						</label>
					</div>
				</div>
			</div>
		</div>
	</div>

	</stm-field-checkbox>
<?php endif; ?>
