<?php
/**
 * Components fields range
 *
 * Template can be modified by copying it to yourtheme/ulisting/components/fields/range.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.0.3
 */
rentex_listing_action_style('rangeSlider');
if( $min == $max )
    $min = 0;
?>
<?php if($model):?>

<stm-field-range
	  inline-template
	  class="ulisting-form-gruop"
	  data-v-bind_key="generateRandomId()"
	  v-model='<?php echo esc_attr($model);?>'
	  data-v-bind_callback_change='<?php echo esc_attr($callback_change);?>'
	  prefix='<?php echo esc_html($prefix);?>'
	  suffix='<?php echo esc_html($suffix);?>'
	  min='<?php echo esc_attr($min);?>'
	  max='<?php echo esc_attr($max);?>'>
	<div class="rentex-range-filter">

		<?php if(isset($field['label'])):?>
			<label><?php echo esc_html($field['label'])?></label>
		<?php endif;?>
        <div class="rentex-filter-box">
            <div class="box-inner">
                <div class="filter-range-fields">
                    <input type="text" data-v-model="from" data-v-on_change="setValue(from+';'+to)"
                           data-v-on_keyup="setValue(from+';'+to)">
                    <input type="text" data-v-model="to" data-v-on_change="setValue(from+';'+to)"
                           data-v-on_keyup="setValue(from+';'+to)">
                </div>
                <vue-range-slider data-v-bind_min="min"
                                  data-v-bind_max="max"
                                  data-v-bind_from="cloneFrom"
                                  data-v-bind_to="cloneTo"
                                  type="double"
                                  data-v-bind_prefix="prefix"
                                  data-v-bind_postfix="suffix"
                                  data-v-on_callback='updateValue'
                                  data-v-bind_key="generateRandomId()" >
                </vue-range-slider>
            </div>
        </div>
	</div>
</stm-field-range>
<?php endif;?>
