<?php

use uListing\Classes\StmListingType;
use uListing\Classes\StmListingTemplate;

$id                    = rand(10, 10000) . time();
$data                  = [];
$listing_type_data     = [];
$listing_type_form     = [];
$category_listing_type = [];
foreach ($categories as $category) {
    if ($category->count != 0) {
        $data['categories'][$category->term_id] = [
            "id"                  => $category->term_id,
            "slug"                => $category->slug,
            "url"                 => array(),
            "name"                => $category->name,
            "types"               => array(),
            "listing_types"       => $category->getListingTypes(),
            "type_selected"       => 0,
            "advanced_panel_show" => false,
        ];
    }
    if (isset($data['categories'][$category->term_id]['listing_types']) AND $data['categories'][$category->term_id]['listing_types']) {
        $category_listing_type = array_merge($category_listing_type, $data['categories'][$category->term_id]['listing_types']);
    }

}
?>

<?php foreach ($listingsTypes as $listingsType): ?>
    <?php
    if (!in_array($listingsType->ID, $category_listing_type))
        continue;
    $prefix                               = 'attribute.listing_type_' . $listingsType->ID;
    $listing_type_form[$listingsType->ID] = [];

    $data['listung_type'][$listingsType->ID] = array(
        "id"   => $listingsType->ID,
        "name" => $listingsType->post_title,
        "url"  => $listingsType->getPageUrl()
    );
    if ($search_fields = $listingsType->getSearchFields(StmListingType::SEARCH_FORM_CATEGORY, null, true)) {
        foreach ($search_fields as $field) {
            $field_type          = key($field);
            $field               = current($field);
            $field['field_type'] = $field_type;
            if (!isset($field['attribute_name']))
                $field['attribute_name'] = "";
            $data['listung_type'][$listingsType->ID]['fields_types'][$field['attribute_name']] = $field;

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_SEARCH AND !empty($field['attribute_name'])) {
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']] = '';
                $listing_type_form[$listingsType->ID][]                                           = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => "" . StmListingTemplate::load_template('components/fields/' . $field['type'],
                            array(
                                "model"           => $prefix . ".{$field['attribute_name']}",
                                "placeholder"     => "{$field['placeholder']}",
                                "callback_change" => "change",
                            )) . ""
                ];
            }

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_LOCATION) {
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']] = array("address" => "", 'lat' => 0, 'lng' => 0);
                $listing_type_form[$listingsType->ID][]                                           = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => "" . StmListingTemplate::load_template('components/fields/' . $field['type'],
                            array(
                                "model"           => $prefix . ".{$field['attribute_name']}",
                                "placeholder"     => "{$field['placeholder']}",
                                "callback_change" => "change",
                            )) . ""
                ];
            }

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_PROXIMITY) {
                $min                                                                              = isset($field['min']) ? $field['min'] : 0;
                $max                                                                              = isset($field['max']) ? $field['max'] : 0;
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']] = (int)$field['default'];
                $listing_type_form[$listingsType->ID][]                                           = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => "" . StmListingTemplate::load_template('components/fields/' . $field['type'],
                            array(
                                "model"           => $prefix . ".{$field['attribute_name']}",
                                "callback_change" => "change",
                                "units"           => "{$field['units']}",
                                "min"             => "{$min}",
                                "max"             => "{$max}",
                            )) . ""
                ];
            }

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_RANGE AND !empty($field['attribute_name'])) {
                $min                                                                              = isset($field['min']) ? $field['min'] : 0;
                $max                                                                              = isset($field['max']) ? $field['max'] : 0;
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']] = array($field['min'], $field['max']);
                $listing_type_form[$listingsType->ID][]                                           = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => "" . StmListingTemplate::load_template('components/fields/' . $field['type'],
                            array(
                                "model"           => $prefix . ".{$field['attribute_name']}",
                                "callback_change" => "change",
                                "suffix"          => "{$field['suffix']}",
                                "prefix"          => "{$field['prefix']}",
                                "min"             => "{$field['min']}",
                                "max"             => "{$field['max']}",
                                "field"           => $field
                            )) . ""
                ];
            }

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_DROPDOWN AND !empty($field['attribute_name'])) {
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']]            = '';
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name'] . "_items"] = isset($field['items']) ? $field['items'] : [];
                $listing_type_form[$listingsType->ID][]                                                      = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => " " . StmListingTemplate::load_template('components/fields/' . $field['type'], array(
                            "model"           => $prefix . ".{$field['attribute_name']}",
                            "order_by"        => (isset($field['order_by'])) ? "{$field['order_by']}" : '',
                            "order"           => (isset($field['order'])) ? "{$field['order']}" : '',
                            "callback_change" => "change",
                            "items"           => $prefix . ".{$field['attribute_name']}_items",
                            "hide_empty"      => (isset($field['hide_empty'])) ? "{$field['hide_empty']}" : '',
                            "placeholder"     => (isset($field['placeholder'])) ? "{$field['placeholder']}" : '',
                            "attribute_name"  => $field['attribute_name']
                        )) . ""
                ];
            }

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_DATE AND !empty($field['attribute_name'])) {
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']] = '';
                $listing_type_form[$listingsType->ID][]                                           = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => " " . StmListingTemplate::load_template('components/fields/' . $field['type'], array(
                            "model"           => $prefix . ".{$field['attribute_name']}",
                            "callback_change" => "change",
                            "name"            => (isset($field['attribute_name'])) ? "{$field['attribute_name']}" : '',
                            "date_type"       => (isset($field['date_type'])) ? "{$field['date_type']}" : '',
                            "placeholder"     => (isset($field['placeholder'])) ? "{$field['placeholder']}" : '',
                        )) . ""
                ];
            }

            if ($field['field_type'] == StmListingType::SEARCH_FORM_TYPE_CHECKBOX AND !empty($field['attribute_name'])) {
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name']]            = array();
                $listing_type_data['listing_type_' . $listingsType->ID][$field['attribute_name'] . "_items"] = isset($field['items']) ? $field['items'] : [];
                $listing_type_form[$listingsType->ID][]                                                      = [
                    "label"    => $field['label'],
                    "type"     => $field['type'],
                    "template" => " " . StmListingTemplate::load_template('components/fields/' . $field['type'], array(
                            "model"           => $prefix . ".{$field['attribute_name']}",
                            "order_by"        => (isset($field['order_by'])) ? "{$field['order_by']}" : '',
                            "order"           => (isset($field['order'])) ? "{$field['order']}" : '',
                            "callback_change" => "change",
                            "items"           => $prefix . ".{$field['attribute_name']}_items",
                            "hide_empty"      => (isset($field['hide_empty'])) ? "{$field['hide_empty']}" : '',
                            "column"          => $field['column'],
                            "field"           => $field,
                            "active_tab"      => 'active_tab',
                        )) . ""
                ];
            }
        }
    }
    ?>
<?php endforeach; ?>

<div id="stm_search_form_category_<?php echo esc_attr($id); ?>"
     class="ulisting-search_box ulisting-search_box_<?php echo esc_attr($params['style']); ?>">
    <stm-search-form-category key="<?php echo esc_attr($id); ?>"
                              :stm_search_form_category_data="stm_search_form_category_data"
                              :stm_search_form_category_texts="stm_search_form_category_text"
                              inline-template>
        <div class="ulisting-search_box_wrapper">
            <ul class="nav nav-tabs">
                <?php $i = 0;
                foreach ($categories as $category): if ($i == 0) $data['active_tab'] = $category->term_id;
                    if ($category->count != 0):
                        ?>
                        <li class="nav-item" data-v-bind_class="{ tab_active: active_tab == <?php echo esc_attr($category->term_id); ?>}">
                            <a class="nav-link stm-cursor-pointer"
                               data-v-bind_class="{ active: active_tab == <?php echo esc_attr($category->term_id); ?>}"
                               data-v-on_click="set_active_tab(<?php echo esc_attr($category->term_id); ?>)"><span><?php echo esc_attr($category->name); ?></span></a>
                        </li>
                        <?php
                        $i++;
                    endif;
                endforeach; ?>
            </ul>

            <div class="tab-content">
                <?php foreach ($categories as $k => $category) : ?>
                    <div data-v-if="active_tab == <?php echo esc_attr($category->term_id); ?>"
                         data-v-bind_class="{'show active':active_tab == <?php echo esc_attr($category->term_id); ?>}"
                         class="tab-panel fade <?php if (is_admin()) {
                             echo (0 == $k) ? "show active" : " hidden";
                         } ?> ">
                        <?php if (is_admin()) : ?>
                            <div class="stm-row rentex_listing_search_admin">
                                <div class="stm-col basic-search-item-col">
                                    <div class="ulisting-form-gruop">
                                        <input type="text"
                                               placeholder="<?php esc_attr_e('Enter keywords', 'rentex'); ?>"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="stm-col basic-search-item-col listing-type-btn">
                                    <select>
                                        <option><?php esc_html_e('Listing type', 'rentex'); ?></option>
                                    </select>
                                </div>

                                <div class="stm-col basic-search-item-col rentex-search-btn">
                                    <a href="#" class="rentex-button rentex-button-full">
                                        <span class="button-icon property-icon-search"></span><?php esc_html_e('Search', 'rentex'); ?>
                                    </a>
                                </div>
                                <div class="stm-col advanced-search-btn">
                                    <div class="advanced-search-btn-wrapper">
                                        <span class="btn-icon rentex-icon-search-plus"></span>
                                        <span class="button-text"><?php esc_html_e('Advanced search', 'rentex'); ?></span>
                                    </div>
                                </div>
                            </div>
                        <?php else: ?>
                        <div class="stm-row rentex_loading_preloader preloader_show">
                            <?php foreach ($listing_type_form as $key => $form) :
                                $form_content_advanced = '';
                                $form_content = '';

                                foreach ($form as $index => $item) :
                                    if (isset($item['label']) AND $index != 0) {
                                        $item['template'] = '<div class="attr-title"><label>' . $item['label'] . '</label></div>' . $item['template'];
                                    }

                                    $class = "stm-col-xl-12 stm-col-lg-12 stm-col-md-12 stm-col-sm-12 advanced-search-item-col";
                                    if ($item['type'] != "checkbox")
                                        $class = "stm-col basic-search-item-col";

                                    if ($index == 0)
                                        $class = "stm-col basic-search-item-col";


                                    if ($index == 0) {
                                        $form_content = '<div data-v-if="category_selected.type_selected == ' . $key . '" class="' . $class . '">' . $item['template'] . '</div>';

                                        $form_content .= '<div data-v-if="category_selected.type_selected == ' . $key . '" class="stm-col basic-search-item-col listing-type-btn">
                                    <ulisting-select2 :key="generateRandomId()" :options="category_selected.types" @input="select_type" data-v-model="category_selected.type_selected" theme="bootstrap4"></ulisting-select2>
                                </div>';

                                        $form_content .= '<div data-v-if="category_selected.type_selected == ' . $key . '" class="stm-col basic-search-item-col rentex-search-btn">
                                                                        <a data-v-bind_href="category_selected.url" class="rentex-button rentex-button-full" >' . esc_html__("Search", "rentex") . '</a>
                                                                  </div>';

                                        $form_content .= '<div data-v-if="category_selected.type_selected == ' . $key . '" class="stm-col advanced-search-btn">
                                                                           
                                                                    <div class="advanced-search-btn-wrapper"
                                                                         data-v-bind_class="{open:categories[' . $category->term_id . '].advanced_panel_show}"
                                                                         data-v-on_click="categories[' . $category->term_id . '].advanced_panel_show = !categories[' . $category->term_id . '].advanced_panel_show" >
                                                                        <span class="btn-icon rentex-icon-search-plus"></span>
                                                                        <span class="btn-text">' . esc_html__("Advanced search", "rentex") . '</span>
                                                                    </div>
                                                                    <a href="#" class="search-popup-close" data-v-on_click="categories[' . $category->term_id . '].advanced_panel_show = false"><i class="rentex-icon-times"></i></a>
                                                                  </div>';

                                    } else {
                                        $class = "stm-col-xl-12 stm-col-lg-12 stm-col-md-12 stm-col-sm-12 advanced-search-item-col";
                                        if ($item['type'] != "checkbox") {
                                            $class = "stm-col-xl-4 stm-col-lg-4 stm-col-md-6 stm-col-sm-12";
                                        }
                                        $form_content_advanced .= '<div class="' . $class . '">' . $item['template'] . '</div>';
                                    }

                                    ?>
                                <?php endforeach ?>

                                <?php echo html_entity_decode($form_content); ?>
                                <div class="advanced-search-item-wrap"
                                     data-v-if="category_selected.type_selected == <?php echo esc_attr($key); ?> && categories[<?php echo esc_attr($category->term_id); ?>].advanced_panel_show">
                                    <div class="advanced-search-item">
                                        <div class="stm-row">
                                            <?php echo html_entity_decode($form_content_advanced); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; ?>

                            <?php endif; ?>

                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </stm-search-form-category>
</div>

<?php
$data['data'] = $listing_type_data;
rentex_listing_action_inline_data('stm-search-form-category', " new VueW3CValid({ el: '#stm_search_form_category_" . $id . "' });var app1 = new Vue({el:'#stm_search_form_category_" . $id . "',data:{stm_search_form_category_data:json_parse('" . ulisting_convert_content(json_encode($data)) . "'), stm_search_form_category_text: " . json_encode(apply_filters('uListing_search_form_category_text', [])) . "}}) ");
?>
