<?php
/**
 * Compare Page
 **
 */
rentex_listing_action_other('rentex-ulisting-compare.js');
?>

<div class="listing-compare-box">
    <div class="compare_box_wrapper">
        <?php if ($listing_types): ?>
            <div class="title_tabs">
                <div class="stm-row">
                    <div class="stm-col-lg-6 stm-col-md-6 stm-col-sm-12">
                        <h2 class="page-title"><?php esc_html_e("Properties Compare", "rentex"); ?></h2>
                    </div>
                    <div class="stm-col-lg-6 stm-col-md-6 stm-col-sm-12">
                        <ul class="links_switch_box">
                            <?php $i = 0;
                            foreach ($listing_types as $listing_type): ?>
                                <?php
                                $active = "";
                                if (($i == 0 AND !$listing_type_id) OR ($listing_type_id == $listing_type->ID))
                                    $active = "active";
                                ?>
                                <li>
                                    <a class="nav-link <?php echo esc_attr($active); ?>"
                                       href="<?php echo esc_url($page_url . "?listing_type_id=" . $listing_type->ID) ?>">
                                        <span class="title-link"><?php echo esc_html($listing_type->post_title); ?></span>
                                        <span class="count-link">
                                            <?php echo esc_attr($listing_type->lisitng_total_count); ?>
                                        </span>
                                    </a>
                                </li>
                                <?php $i++; endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="compare_table_columns">
                <div class="compare_left_columns">
                    <div class="compare_title" data-index="title">
                        <?php esc_html_e('Attributes', 'rentex'); ?>
                    </div>
                    <div class="compare_thumbnail compare_thumbnail_empty" data-index="image">

                    </div>
                    <div class="compare_attributes">
                        <?php foreach ($listing_type_attributes as $listing_type_attribute): ?>
                            <div class="compare_attribute_title"
                                 data-index="<?php echo sanitize_title($listing_type_attribute->title); ?>">
                                <?php echo esc_attr($listing_type_attribute->title); ?>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>

                <div class="compare_right_columns">
                    <div class="stm-row compare-list">
                        <?php foreach ($listings as $listing): ?>
                            <div class="compare-listing-item">
                                <div class="compare_title" data-index="title">
                                    <a href="<?php echo esc_url(get_permalink($listing->ID)); ?>"><?php echo esc_attr($listing->post_title); ?></a>
                                </div>
                                <div class="compare_thumbnail" data-index="image">
                                    <!--Get Category-->
                                    <?php
                                    $rentex_category = $listing->getCategory();
                                    if( isset($rentex_category) && !empty($rentex_category) ){
                                        echo '<div class="rentext-listing-category">';
                                        foreach ($rentex_category as $category){
                                            echo '<span>'.esc_html($category->name).'</span>';
                                        }
                                        echo '</div>';
                                    } ?>

                                    <?php
                                    $thumb = wp_get_attachment_image_src(get_post_thumbnail_id($listing->ID), 'rentex-thumbnail-listing'); ?>

                                    <?php if (!empty($thumb)) : ?>
                                        <img src="<?php echo esc_url($thumb[0]); ?>" alt="<?php echo esc_attr($listing->post_title); ?>"/>
                                    <?php else : ?>
                                        <img src="<?php echo esc_url(get_placeholder_image_url()); ?>" alt="<?php echo esc_attr($listing->post_title); ?>"/>
                                    <?php endif; ?>

                                    <a href="javascript:void(0);" class="rentex-btn-remove"
                                       onclick="remove_listing_compare(<?php echo esc_attr($listing->ID); ?>)"><?php esc_html_e("Remove", "rentex") ?></a>
                                </div>
                                <div class="compare_attributes">
                                    <?php foreach ($listing_type_attributes as $listing_type_attribute): ?>
                                        <div class="compare_attribute_title"
                                             data-index="<?php echo sanitize_title($listing_type_attribute->title); ?>">
                                            <?php echo esc_attr($listing_type_attribute->title); ?>
                                        </div>
                                        <div class="compare_attribute"
                                             data-index="<?php echo sanitize_title($listing_type_attribute->title); ?>">
                                            <?php echo \uListing\ListingCompare\Classes\UlistingListingCompare::render_attribute_value($listing, $listing_type_attribute); ?>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>

        <?php if (empty($listing_types)) : ?>
            <h2 class="page-title"><?php esc_html_e("Compare", "rentex"); ?></h2>
            <div class="account-payment_history_empty">
                <h3><?php esc_html_e("You don't have any item in compare.", "rentex") ?></h3>
            </div>
        <?php endif; ?>
    </div>
</div>



