<?php
/**
 * Listing list osm google
 *
 * Template can be modified by copying it to yourtheme/ulisting/listing-list/maps/google.php.
 *
 * @see     #
 * @package uListing/Templates
 * @version 1.3.7
 */
?>

<rentext-google-map
        inline-template
        :map="map"
        @change="setMap"
        id="listing-map"
        width="100%"
        height="100%"
        :view="false"
        set_center="true"
        :zoom="13.25"
        :markers="markers"
        :cluster="true"
        :bounds="true"
        :center="center"
        :screen="false"
        :type_id="false"
        :zoom_control="false"
        :polygon_data="polygon"
        open_map_by_hover="<?php echo esc_attr($open_map_by_hover) ?>"
        :styles='<?php echo esc_attr(rentex_google_map_style()); ?>'
>
    <div id="uListingMainMap" v-bind:style="{ width: width, height: height}" :class="{'fullScreen': fullscreen}"
         style="position: relative;">
        <div v-bind:style="{ width: width, height: height}" v-bind:id="id"></div>
        <div id="uListing-map-types" :class="{'stm-hasAccess': hasAccess}">
            <a @click.prevent.click="fade = !fade" href="#"
               class="stm-view"><?php esc_html_e('Map type', 'rentex'); ?></a>
            <ul v-show="fade" style="display: none;">
                <li @click="changeMapType(event,'roadmap')"
                    class="selected-map-type"><?php esc_html_e('Roadmap', 'rentex'); ?></li>
                <li @click="changeMapType(event,'satellite')"><?php esc_html_e('Satellite', 'rentex'); ?></li>
                <li @click="changeMapType(event,'hybrid')"><?php esc_html_e('Hybrid', 'rentex'); ?></li>
                <li @click="changeMapType(event,'terrain')"><?php esc_html_e('Terrain', 'rentex'); ?></li>
            </ul>
        </div>
        <div id="uListing-map-zoom" :class="{'stm-hasAccess': hasAccess}">
            <a @click.prevent="changeZoom(-1, 'minus')" href="#" class="stm-minus">
                <i class="rentex-icon-minus"></i>
            </a>
            <span class="ulisting-map-zoom-separator"></span>
            <a @click.prevent="changeZoom(1, 'plus')" href="#" class="stm-plus">
                <i class="rentex-icon-plus"></i>
            </a>
        </div>
        <div id="uListing-map-fullscreen" :class="{'stm-hasAccess': hasAccess}">
            <a @click.prevent="openFullScreen(); if(fullscreen == true){document.querySelector('html').className += ' mapfullscreen'}else{ document.querySelector('html').className = document.querySelector('html').className.replace(' mapfullscreen','')}" href="#" :class="{'stm-compress': fullscreen}"
               class="stm-fullscreen">
                <i class="rentex-icon-expand-arrows"></i>
            </a>
        </div>
        <div id="uListing-map-pagination" :class="{'stm-hasAccess': hasAccess}">
            <a @click.prevent="mapPagination(-1)" href="#"
               class="stm-prev">
                <i class="rentex-icon-long-arrow-left"></i>
                <span><?php esc_html_e('Prev', 'rentex'); ?></span>
            </a>
            <a @click.prevent="mapPagination(1)" href="#"
               class="stm-next">
                <span><?php esc_html_e('Next', 'rentex'); ?></span>
                <i class="rentex-icon-long-arrow-right"></i>
            </a>
        </div>
    </div>
</rentext-google-map>
