<?php
/**
 * @var $model uListing\Classes\StmListing
 */

use uListing\Classes\StmUser;
use uListing\Classes\StmListingUserRelations;

rentex_listing_action_style('magnific-popup');
rentex_listing_action_other('magnific-popup');
rentex_listing_action_other('rentex-ulisting-agent.js', '', array('magnific-popup'));

$model                 = $args['model'];
$post_ID               = $model->ID;
$listing_user_relation = StmListingUserRelations::query()->where('listing_id', $post_ID)->findOne();

if (isset($listing_user_relation->user_id) && !empty($listing_user_relation->user_id))
    $user                  = new StmUser($listing_user_relation->user_id);
if (!isset($user)) return;

$rentex_listing_setting = get_option('rentex_listing_setting');
if( isset($rentex_listing_setting['contact_form_id']) && !empty($rentex_listing_setting['contact_form_id']) ){
    $contact_form           = $rentex_listing_setting['contact_form_id'];
}
?>
<div class="rentex-agent-info">
    <div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element) ?>>
        <?php
        if (isset($element['params']['title']) && !empty($element['params']['title'])) {
            echo '<h4 class="ulisting-heading normal">' . esc_html($element['params']['title']) . '</h4>';
        }
        ?>
        <div class="agent-info-wrapper">
            <?php
            if( $rentex_listing_setting['agent_info_show_only_login'] == 'false' || is_user_logged_in() ){ ?>
                <div class="agent-info-box">
                    <?php
                    $user_avatar = get_user_meta($user->ID, 'stm_listing_avatar');
                    if (isset($user_avatar) && !empty($user_avatar)) {
                        $user_avatar = current($user_avatar)['url'];
                        ?>
                        <div class="avatar">
                            <a href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><img src="<?php echo esc_url($user_avatar); ?>" alt="<?php echo esc_attr($user->user_login); ?>"/></a>
                        </div>
                    <?php } else { ?>
                        <div class="avatar">
                            <a href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><img src="<?php echo ULISTING_URL; ?>/assets/img/none.png" alt="<?php echo esc_attr($user->user_login); ?>"/></a>
                        </div>
                    <?php } ?>
                    <div class="info">
                        <?php if (!empty($user->position)) { ?>
                            <div class="user_position"><?php echo esc_html($user->position); ?></div>
                        <?php } ?>
                        <?php if (!empty($user->nickname)) { ?>
                            <h4 class="user_name">
                                <a href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><?php echo esc_attr($user->nickname); ?></a>
                            </h4>
                        <?php } ?>
                        <?php
                            rentex_ulisting_user_phone_mobile($user);
                        ?>
                        <?php if (!empty($user->user_email)) { ?>
                            <div class="user_email"><?php echo esc_html($user->user_email); ?></div>
                        <?php } ?>
                    </div>
                </div>

                <?php if (isset($contact_form) && !empty($contact_form)) {
                    ?>
                    <div class="agent-contact-box">
                        <a class="button user-btn js-btn-contact-popup button-full" data-effect="mfp-zoom-in" href="#contact-popup"><?php esc_html_e('Request Details', 'rentex') ?></a>
                        <div id="contact-popup" class="contact-popup mfp-hide">
                            <?php echo do_shortcode('[contact-form-7 id="' . esc_attr($contact_form) . '" author-email="' . esc_attr($user->user_email) . '"]'); ?>

                        </div>
                        <div class="contact-info hidden js-contact-info">
                            <?php  printf(esc_html__('I am interested in your property name "%s" and would like to rent for a long time and look for the best price. I have some questions to ask you about rental price, equipment,... We want to make an appointment for further conversation. Link property detail: %s', 'rentex'), get_the_title($post_ID),get_the_permalink($post_ID)); ?>
                        </div>
                        <a class="button call-now" href="tel:<?php echo esc_attr($user->phone_mobile); ?>"><i class="rentex-icon-help_desk"></i><?php esc_html_e('Call Now !','rentex'); ?></a>
                    </div>
                <?php } else { ?>
                    <a class="button user-btn btn-block button-full" href="<?php echo esc_url(get_author_posts_url($user->ID)); ?>"><?php esc_html_e('Request Details', 'rentex'); ?></a>
                    <?php
                } ?>
            <?php }else{
                rentex_ulisting_agent_info_note();
            }
            ?>

        </div>
    </div>
</div>
