<?php
/**
 * @var $model uListing\Classes\StmListing
 */

$model = $args['model'];
rentex_listing_action_other('rentex-ulisting-share.js');

?>
<div class="listing-single-info style_1">
	<div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element) ?>>
		<div class="inner">
            <div class="listing-info-btn listing-type-list">
                <span><?php echo esc_attr( $model->getType()->post_title ); ?></span>
            </div>

            <?php
            $rentex_category = $model->getCategory();
            if( isset($rentex_category) && !empty($rentex_category) ){
                echo '<div class="listing-category-list">';
                foreach ($rentex_category as $category){
                    echo '<span>'.esc_html($category->name).'</span>';
                }
                echo '</div>';
            } ?>

			<div class="listing-info-item listing-published">
				<i class="rentex-icon-clock"></i>
                <span>
                    <?php
                    $posted = get_the_time( 'U' );
                    echo human_time_diff( $posted, current_time( 'U' ) ) . esc_html__(' ago', 'rentex');
                    ?>
                </span>
			</div>

            <span class="listing-dot"></span>

			<div class="listing-info-item listing-views">
				<i class="rentex-icon-eye"></i>
				<span>
                    <?php
                    $post_views = get_post_meta( get_the_ID(), 'stm_post_views', true );
                    if(empty( $post_views ) ) {
                        $post_views = 0;
                    }
                    echo esc_attr( $post_views );
                    ?>
                </span>
			</div>
            <ul class="listing-meta">

                <li>
                    <a class="listing-email" href="mailto:?subject=<?php the_permalink(); ?>">
                        <i class="rentex-icon-envelope"></i>
                        <span>&nbsp;&nbsp;<?php esc_html_e('Email','rentex'); ?></span>
                    </a>
                </li>

                <li>
                    <a class="listing-print" href="javascript:window.print()">
                        <i class="rentex-icon-print"></i>
                        <span>&nbsp;&nbsp;<?php esc_html_e('Print','rentex'); ?></span>
                    </a>
                </li>

                <?php
                /*Wishtlist*/
                $element_wishlist                            = $element;
                $element_wishlist['params']['template_path'] = "wishlist/add_button";
                $element_wishlist['params']['template']      = "template_1";
                $element_wishlist['params']['type']          = "wishlist";
                if(class_exists("\uListing\UlistingWishlist\Classes\UlistingWishlist") AND $element_wishlist['params']['template']){ ?>
                    <li class="listing-save-wishlist">
                        <?php echo  \uListing\UlistingWishlist\Classes\UlistingWishlist::render_add_button($element_wishlist['params']['template'], $args['model']);?>
                        <a class="listing-save" href="#">
                            <i class="rentex-icon-heart"></i>
                            <span>&nbsp;&nbsp;<?php esc_html_e('Save','rentex'); ?></span>
                        </a>
                    </li>
                <?php } ?>

                <li>
                    <div class="listing-share-socials js-listing-share-socials">
                        <a class="listing-share-link js-listing-share-btn" href="#">
                            <i class="rentex-icon-share-alt"></i>
                            <span>&nbsp;&nbsp;<?php esc_html_e('Share','rentex'); ?></span>
                        </a>

                        <div class="listing-share-box">
                            <?php if (function_exists('rentex_get_shares')) {
                                rentex_get_shares();
                            } ?>
                        </div>
                    </div>
                </li>
            </ul>
		</div>
	</div>
</div>
