<?php
/**
 * @var $model uListing\Classes\StmListing
 */

use uListing\Classes\StmListingAttribute;

?>
<div class="rentex-listing-grid-item <?php echo esc_attr($element['params']['style_template']); ?>">
    <?php
    $model = $args['model'];
    /*Price*/
    $element_price                = $element;
    $element_price['type']        = "attribute";
    $element_price['field_group'] = "price";

    $element_price['params']['type']           = "attribute";
    $element_price['params']['attribute']      = "price";
    $element_price['params']['attribute_type'] = "price";
    $element_price['params']['style_template'] = "ulisting_style_1";

    ?>
    <!--Content-Box-->
    <div class="rentex-listing-content-panel">
        <div class="rentex-main-content">
            <?php
            $rentex_price_model        = $model;
            $rentex_price_model->title = esc_html__('Price', 'rentex');
            $rentex_price_value        = $rentex_price_model->getAttributeValue('price');

            ?>
            <!--Get Title & Short Description-->
            <div class="listing-single-title style_1">
                <div class="wrapper">
                    <h3 class="title">
                        <a href="<?php echo get_permalink($args['model']) ?>">
                            <?php echo esc_html($args['model']->post_title); ?>
                        </a>
                    </h3>
                </div>
            </div>
            <?php
            $rentex_location = $args['model']->getAttributeValue(StmListingAttribute::TYPE_LOCATION);
            if (isset($rentex_location) && !empty($rentex_location['address'])) {
                echo '<div class="rentex-meta-size rentex-short-desc">' . esc_html($rentex_location['address']) . '</div>';
            }
            ?>
            <!--Get Attribute Beds,Baths,Area-->
            <div class="rentex-meta-extra">
                <?php
                $element_attribute                             = $element;
                $element_attribute['type']                     = "attribute";
                $element_attribute['params']['style_template'] = "ulisting_style_3";

                $element_beds                        = $element_attribute;
                $element_beds['params']['attribute'] = "bedrooms";

                $element_baths                        = $element_attribute;
                $element_baths['params']['attribute'] = "bathrooms";

                $element_area                        = $element_attribute;
                $element_area['params']['attribute'] = "area";

                rentex_ulisting_get_attribute_template($model, $element_beds, 'bedrooms');
                rentex_ulisting_get_attribute_template($model, $element_baths, 'bathrooms');
                rentex_ulisting_get_attribute_template($model, $element_area, 'area');
                ?>
            </div>
            <!--Get Category-->
            <?php
            $rentex_category = $model->getCategory();
            if( isset($rentex_category) && !empty($rentex_category) ){
                echo '<div class="rentext-category">';
                foreach ($rentex_category as $category){
                    echo '<span>'.esc_html($category->name).'</span>';
                }
                echo '</div>';
            } ?>
            <?php echo StmListingAttribute::render_price($rentex_price_model, $element_price, $rentex_price_value); ?>
        </div>
    </div>

</div>
