<?php
/**
 * @var $model uListing\Classes\StmListing
 */

use uListing\Classes\StmListingTemplate;
use uListing\Classes\StmListingAttribute;
use uListing\Classes\StmListingItemCardLayout;
?>
<div class="rentex-listing-list-item <?php echo esc_attr($element['params']['style_template']); ?>">
    <?php
    $model = $args['model'];
    /*Thumbnail*/
    $element_thumbnail                       = $element;
    $thumbnail_panel                         = "";
    $element_thumbnail['params']['class']    = " ulisting-thumbnail-box";
    $element_thumbnail['params']['template'] = "template_1";
    $feature_image                           = $args['model']->getfeatureImage('rentex-thumbnail-listing');
    $feature_background_image                = ($feature_image) ? $feature_image : get_placeholder_image_url();
    $thumbnail_panel                         = '<div class="thumbnail-box-listing"><a href="' . get_permalink($args['model']->ID) . '" class="ulisting-thumbnail-box-link"></a><img src="' . $feature_background_image . '" alt="'.esc_attr(get_bloginfo('name')).'">[thumbnail_panel_inner]</div>';

    /*Price*/
    $element_price                             = $element;
    $element_price['type']                      = "attribute";
    $element_price['field_group']               = "price";

    $element_price['params']['type']           = "attribute";
    $element_price['params']['attribute']      = "price";
    $element_price['params']['attribute_type'] = "price";
    $element_price['params']['style_template'] = "ulisting_style_1";

    /*Compare*/
    $element_compare                            = $element;
    $element_compare['params']['template_path'] = "listing-compare/listing-compare";
    $element_compare['params']['template']      = "template_1";
    $element_compare['params']['type']          = "compare";

    /*Wishtlist*/
    $element_wishlist                            = $element;
    $element_wishlist['params']['template_path'] = "wishlist/add_button";
    $element_wishlist['params']['template']      = "template_1";
    $element_wishlist['params']['type']          = "wishlist";

    ?>
    <!--Thumbnail-Box-->
    <div class="rentex-listing-thumbnail-panel">
        <!--Thumbnail Top-->
        <div class="rentex-thumbnail-panel-top">
            <?php
            $rentex_feature = $model->is_feature('feature');
            if( $rentex_feature ){
                echo '<span class="rentext-listing-featured">'.esc_html__('Featured','rentex').'</span>';
            }
            ?>
            <!--Get Category-->
            <?php
            $rentex_category = $model->getCategory();
            if( isset($rentex_category) && !empty($rentex_category) ){
                echo '<div class="rentext-listing-category">';
                foreach ($rentex_category as $category){
                    echo '<span>'.esc_html($category->name).'</span>';
                }
                echo '</div>';
            } ?>
            <?php StmListingTemplate::load_template("/loop/photo-count", ['model' => $args['model'], 'element' => $element], true); ?>
        </div>
        <?php
        /*Get Thumbnail Image*/
		printf('%s', StmListingItemCardLayout::render_thumbnail_box("template_1", $thumbnail_panel, "", "", $args['model']->ID));
        ?>
        <!--Thumbnail Bottom-->
        <div class="rentex-thumbnail-panel-bottom">
            <div class="rentex-btn-meta">
                <?php StmListingTemplate::load_template("/wishlist/add_button", ['model' => $args['model'], 'element' => $element_wishlist], true); ?>
                <?php StmListingTemplate::load_template("/listing-compare/listing-compare", ['model' => $args['model'], 'element' => $element_compare], true); ?>
            </div>
        </div>
    </div>

    <!--Content-Box-->
    <div class="rentex-listing-content-panel">
        <div class="rentex-main-content">
            <?php
            $rentex_price_model        = $model;
            $rentex_price_model->title = esc_html__('Price', 'rentex');
            $rentex_price_value        = $rentex_price_model->getAttributeValue('price');
            echo StmListingAttribute::render_price($rentex_price_model, $element_price, $rentex_price_value);
            ?>
            <!--Get Title & Short Description-->
            <?php
            StmListingTemplate::load_template("/builder/attribute/title", ['model' => $args['model'], 'element' => $element], true);

            $rentex_location = $args['model']->getAttributeValue( StmListingAttribute::TYPE_LOCATION );
            if (isset($rentex_location) && !empty($rentex_location['address'])) {
                echo '<div class="rentex-meta-size rentex-short-desc">' . esc_html($rentex_location['address']) . '</div>';
            }
            ?>
            <!--Get Attribute Beds,Baths,Area-->
            <div class="rentex-meta-extra">
                <?php
                $element_attribute                             = $element;
                $element_attribute['type']                     = "attribute";
                $element_attribute['params']['style_template'] = "ulisting_style_2";

                $element_beds                                  = $element_attribute;
                $element_beds['params']['attribute']           = "bedrooms";

                $element_baths                                 = $element_attribute;
                $element_baths['params']['attribute']          = "bathrooms";

                $element_area                                  = $element_attribute;
                $element_area['params']['attribute']           = "area";

                rentex_ulisting_get_attribute_template($model, $element_beds, 'bedrooms');
                rentex_ulisting_get_attribute_template($model, $element_baths, 'bathrooms');
                rentex_ulisting_get_attribute_template($model, $element_area, 'area');
                ?>
            </div>
        </div>
        <div class="rentex-footer-content">
            <!--Get Agent Author-->
            <?php StmListingTemplate::load_template("/builder/attribute/agent", ['model' => $args['model'], 'element' => $element], true); ?>
        </div>
    </div>

</div>
