<?php
/**
 * Pricing plan list
 *
 * Template can be modified by copying it to yourtheme/ulisting/pricing-plan/list.php.
 **
 * @see     #
 * @package uListing/Templates
 * @version 1.6.2
 */

use uListing\Lib\PricingPlan\Classes\StmPricingPlans;

?>

<?php if ($plans) : ?>
	<div class="pricing-plans_list">
        <h2 class="pricing-title entry-title"><?php esc_html_e('Pricing Table', 'rentex'); ?></h2>
		<div class="stm-row">
			<?php foreach ($plans as $plan) : ?>
				<?php $meta = $plan->getData();
				empty($meta['price']) && $meta['price'] = "0.00";
				?>
				<div class="stm-col-xl-4 stm-col-lg-4 stm-col-md-6 stm-col-sm-6 stm-col-12 p-t-30 p-b-30 text-center">
					<div class="pricing-plan-box">
						<div class="pricing-plan-title"><?php echo esc_attr($plan->post_title); ?></div>
						<div class="pricing-plan-price"><?php echo currencyFormat($meta['price']); ?></div>
						<div class="pricing-plan-description">
							<?php echo html_entity_decode($plan->post_content); ?>
						</div>
						<div class="pricing-plan-info">
							<p><?php echo esc_attr($meta['feature_limit']); ?>&nbsp;<?php echo esc_attr($meta['listing_limit']); ?>&nbsp;<?php esc_html_e('listings', 'rentex'); ?></p>
							<p><?php echo esc_attr($meta['duration']); ?>&nbsp;<?php echo esc_attr($meta['duration_type']); ?>&nbsp;<?php esc_html_e('duration', 'rentex'); ?></p>
							<p><?php esc_html_e('Status:', 'rentex'); ?>&nbsp;<span><?php echo esc_attr($meta['status']); ?></span></p>
						</div>
						<div class="pricing-plan-button">
							<a href="<?php echo StmPricingPlans::get_page_url(); ?>?buy=<?php echo esc_attr($plan->ID); ?>" class="button button-full"><?php esc_html_e('Get Started', 'rentex'); ?></a>
						</div>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
	</div>
<?php else: ?>
	<div style="width: 65%; text-align: center; margin: 20px auto;">
		<h3><?php esc_html_e('Pricing plans are currently under development. Please contact the site administrator for details.', 'rentex'); ?></h3>
	</div>
<?php endif; ?>
<?php if ($subscription_plans) : ?>
	<hr/>
	<div class="pricing-plans_list">
        <h2 class="pricing-title entry-title"><?php esc_html_e('Subscription', 'rentex'); ?></h2>
		<div class="stm-row">
			<?php foreach ($subscription_plans as $plan) : ?>
				<?php $meta = $plan->getData();
				empty($meta['price']) && $meta['price'] = "0.00";
				?>
                <div class="stm-col-xl-4 stm-col-lg-4 stm-col-md-6 stm-col-sm-6 stm-col-12 p-t-30 p-b-30 text-center">
					<div class="pricing-plan-box">
						<div class="pricing-plan-title"><?php echo esc_attr($plan->post_title); ?></div>
						<div class="pricing-plan-price"><?php echo currencyFormat($meta['price']); ?></div>
						<div class="pricing-plan-description">
							<?php echo html_entity_decode($plan->post_content); ?>
						</div>
                        <div class="pricing-plan-info">
                            <p><?php echo esc_attr($meta['feature_limit']); ?>&nbsp;<?php echo esc_attr($meta['listing_limit']); ?>&nbsp;<?php esc_html_e('listings', 'rentex'); ?></p>
                            <p><?php echo esc_attr($meta['duration']); ?>&nbsp;<?php echo esc_attr($meta['duration_type']); ?>&nbsp;<?php esc_html_e('duration', 'rentex'); ?></p>
                            <p><?php esc_html_e('Status:', 'rentex'); ?>&nbsp;<span><?php echo esc_attr($meta['status']); ?></span></p>
                        </div>
						<div class="pricing-plan-button">
							<a href="<?php echo StmPricingPlans::get_page_url(); ?>?buy=<?php echo esc_attr($plan->ID); ?>" class="button button-full"><?php esc_html_e('Get Started', 'rentex'); ?></a>
						</div>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
	</div>
<?php endif; ?>


