<?php

use uListing\Classes\StmListingAttribute;

$rentex_post_id         = get_the_ID();
$rentex_listing_setting = get_option('rentex_listing_setting');
$token                  = $rentex_listing_setting['yelp_api_key'];
$is_cache               = $rentex_listing_setting['yelp_caching'];
$categories_yelp        = $rentex_listing_setting['yelp_categories_list'];
$yelp_sort_by           = $rentex_listing_setting['yelp_sort_by'];
$yelp_limit             = $rentex_listing_setting['yelp_limit'];
$location               = $args['model']->getAttributeValue(StmListingAttribute::TYPE_LOCATION);
$latitude               = $location['latitude'];
$longitude              = $location['longitude'];
if (!isset($token)) return;
if (!is_array($categories_yelp)) return;
if(!isset($token) || empty($token)) return;
$yelp_nearby_list = rentex_yelp_nearby($rentex_post_id, $is_cache, $token, $categories_yelp, $latitude, $longitude, $yelp_sort_by, $yelp_limit);

?>

<div <?php echo \uListing\Classes\Builder\UListingBuilder::generation_html_attribute($element); ?>>
    <div class="yelp_nearby_box">
        <div class="yelp_nearby_title_box">
            <h4 class="ulisting-heading yelp-heading"><?php esc_html_e('What\'s Nearby?', 'rentex'); ?></h4>
        </div>
        <?php foreach ($yelp_nearby_list as $key => $yelp_api_business) : $resources_list = $yelp_api_business['resources']; ?>
            <?php if (!empty($resources_list)) : ?>
                <div class="yelp_category_list">
                    <div class="yelp_category_title"><?php echo esc_attr($yelp_api_business['category']); ?></div>
                    <ul class="yelp_sub_cat_list">
                        <?php foreach ($resources_list as $resource) :
                            $distance = $resource['distance'] * 0.000621371192;
                            $distance = number_format(( float )$distance, 2, '.', '');

                            $location          = $resource['location']['display_address'];
                            $business_address0 = isset($location[0]) ? $location[0] : '';
                            $business_address1 = isset($location[1]) ? $location[1] : '';
                            $business_address2 = isset($location[2]) ? $location[2] : '';
                            $business_address  = $business_address0 . ' ' . $business_address1 . ' ' . $business_address2;

                            $rating = $resource['rating'];
                            $rating = number_format(( float )$rating, 1, '_', '');
                            ?>
                            <li>
                                <?php
                                if (isset($resource['image_url']) && !empty($resource['image_url'])) {
                                    ?>
                                    <div class="yelp_sub_cat-avatar">
                                        <a href="<?php echo esc_url($resource['url']); ?>" title="<?php echo esc_attr($resource['name']); ?>" target="_blank">
                                            <img src="<?php echo esc_url($resource['image_url']); ?>" alt="<?php echo esc_attr($resource['name']); ?>">
                                        </a>
                                    </div>
                                    <?php
                                }
                                ?>
                                <div class="yelp_sub_cat-info">
                                    <h6 class="yelp_sub_cat_title">
                                        <a href="<?php echo esc_url($resource['url']); ?>" title="<?php echo esc_attr($resource['name']); ?>" target="_blank"><?php echo esc_html($resource['name']); ?></a>
                                    </h6>
                                    <div class="yelp_sub_cat_distance">
                                        (<?php echo esc_attr($distance); ?> <?php esc_html_e('mi', 'rentex'); ?>)
                                    </div>
                                    <div class="yelp_sub_cat_address"><?php echo esc_html($business_address); ?></div>
                                </div>
                                <div class="yelp_sub_cat-ratings">
                                    <div class="yelp_sub_cat_reviews_count">
                                        <span><?php echo esc_attr($resource['review_count']); ?></span> <?php esc_html_e('reviews', 'rentex'); ?>
                                    </div>
                                    <div class="yelp_sub_cat_rating_stars rating_pos_<?php echo esc_attr($rating); ?>"></div>
                                </div>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                </div>
            <?php endif; endforeach; ?>
    </div>
</div>
